/*===========================================================================*/
/*   (Llib/string2key.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/string2key.scm -o objs/string2key.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___CRYPTOzd2STRING2KEYzd2_TYPE_DEFINITIONS
#define BGL_BgL___CRYPTOzd2STRING2KEYzd2_TYPE_DEFINITIONS
#endif // BGL_BgL___CRYPTOzd2STRING2KEYzd2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2ze3keyzd2za7eroz26zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2string2keyzd2(void);
static obj_t BGl_objectzd2initzd2zz__cryptozd2string2keyzd2(void);
static obj_t BGl_z62stringzd2ze3keyzd2iteratedzd2saltedz53zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2ze3keyzd2hashz81zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2saltedze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2string2keyzd2(void);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2string2keyzd2(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2string2keyzd2(void);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2string2keyzd2(void);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62stringzd2ze3keyzd2saltedz81zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2procedurez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62fz62zz__cryptozd2string2keyzd2(obj_t);
static obj_t BGl_z62stringzd2ze3keyzd2simplez81zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2iteratedzd2saltedz31zz__cryptozd2string2keyzd2(obj_t, long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2za7eroz44zz__cryptozd2string2keyzd2(obj_t, long);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1093z00zz__cryptozd2string2keyzd2, BgL_bgl_string1093za700za7za7_1103za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/crypto/src/Llib/string2key.scm", 86 );
DEFINE_STRING( BGl_string1094z00zz__cryptozd2string2keyzd2, BgL_bgl_string1094za700za7za7_1104za7, "&string->key-zero", 17 );
DEFINE_STRING( BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_bgl_string1095za700za7za7_1105za7, "bstring", 7 );
DEFINE_STRING( BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_bgl_string1096za700za7za7_1106za7, "bint", 4 );
DEFINE_STRING( BGl_string1097z00zz__cryptozd2string2keyzd2, BgL_bgl_string1097za700za7za7_1107za7, "&string->key-hash", 17 );
DEFINE_STRING( BGl_string1098z00zz__cryptozd2string2keyzd2, BgL_bgl_string1098za700za7za7_1108za7, "procedure", 9 );
DEFINE_STRING( BGl_string1099z00zz__cryptozd2string2keyzd2, BgL_bgl_string1099za700za7za7_1109za7, "&string->key-simple", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2iteratedzd2saltedzd2envze3zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1110za7, BGl_z62stringzd2ze3keyzd2iteratedzd2saltedz53zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2hashzd2envz31zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1111za7, BGl_z62stringzd2ze3keyzd2hashz81zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2simplezd2envz31zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1112za7, BGl_z62stringzd2ze3keyzd2simplez81zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1100z00zz__cryptozd2string2keyzd2, BgL_bgl_string1100za700za7za7_1113za7, "&string->key-salted", 19 );
DEFINE_STRING( BGl_string1101z00zz__cryptozd2string2keyzd2, BgL_bgl_string1101za700za7za7_1114za7, "&string->key-iterated-salted", 28 );
DEFINE_STRING( BGl_string1102z00zz__cryptozd2string2keyzd2, BgL_bgl_string1102za700za7za7_1115za7, "__crypto-string2key", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2saltedzd2envz31zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1116za7, BGl_z62stringzd2ze3keyzd2saltedz81zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2za7erozd2envz96zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1117za7, BGl_z62stringzd2ze3keyzd2za7eroz26zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long BgL_checksumz00_287, char * BgL_fromz00_288)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2string2keyzd2(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2string2keyzd2(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2string2keyzd2(); 
return 
BGl_methodzd2initzd2zz__cryptozd2string2keyzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2string2keyzd2(void)
{
{ /* Llib/string2key.scm 1 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__crypto-string2key"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2string2keyzd2(void)
{
{ /* Llib/string2key.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* string->key-zero */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2za7eroz44zz__cryptozd2string2keyzd2(obj_t BgL_pwdz00_3, long BgL_targetzd2lengthzd2_4)
{
{ /* Llib/string2key.scm 13 */
{ /* Llib/string2key.scm 14 */
 long BgL_lenz00_48;
BgL_lenz00_48 = 
STRING_LENGTH(BgL_pwdz00_3); 
if(
(BgL_lenz00_48==BgL_targetzd2lengthzd2_4))
{ /* Llib/string2key.scm 16 */
return BgL_pwdz00_3;}  else 
{ /* Llib/string2key.scm 16 */
if(
(BgL_lenz00_48<BgL_targetzd2lengthzd2_4))
{ /* Llib/string2key.scm 18 */
 obj_t BgL_resz00_52;
BgL_resz00_52 = 
make_string(BgL_targetzd2lengthzd2_4, ((unsigned char)'\000')); 
blit_string(BgL_pwdz00_3, 0L, BgL_resz00_52, 0L, BgL_lenz00_48); 
return BgL_resz00_52;}  else 
{ /* Llib/string2key.scm 17 */
return 
c_substring(BgL_pwdz00_3, 0L, BgL_targetzd2lengthzd2_4);} } } } 

}



/* &string->key-zero */
obj_t BGl_z62stringzd2ze3keyzd2za7eroz26zz__cryptozd2string2keyzd2(obj_t BgL_envz00_208, obj_t BgL_pwdz00_209, obj_t BgL_targetzd2lengthzd2_210)
{
{ /* Llib/string2key.scm 13 */
{ /* Llib/string2key.scm 14 */
 long BgL_auxz00_317; obj_t BgL_auxz00_310;
{ /* Llib/string2key.scm 14 */
 obj_t BgL_tmpz00_318;
if(
INTEGERP(BgL_targetzd2lengthzd2_210))
{ /* Llib/string2key.scm 14 */
BgL_tmpz00_318 = BgL_targetzd2lengthzd2_210
; }  else 
{ 
 obj_t BgL_auxz00_321;
BgL_auxz00_321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(611L), BGl_string1094z00zz__cryptozd2string2keyzd2, BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_targetzd2lengthzd2_210); 
FAILURE(BgL_auxz00_321,BFALSE,BFALSE);} 
BgL_auxz00_317 = 
(long)CINT(BgL_tmpz00_318); } 
if(
STRINGP(BgL_pwdz00_209))
{ /* Llib/string2key.scm 14 */
BgL_auxz00_310 = BgL_pwdz00_209
; }  else 
{ 
 obj_t BgL_auxz00_313;
BgL_auxz00_313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(611L), BGl_string1094z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_pwdz00_209); 
FAILURE(BgL_auxz00_313,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2za7eroz44zz__cryptozd2string2keyzd2(BgL_auxz00_310, BgL_auxz00_317);} } 

}



/* string->key-hash */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t BgL_pwdz00_5, long BgL_targetzd2lengthzd2_6, obj_t BgL_hashzd2funzd2_7)
{
{ /* Llib/string2key.scm 23 */
{ /* Llib/string2key.scm 24 */
 obj_t BgL_hashzd2strzd2_54;
BgL_hashzd2strzd2_54 = 
BGL_PROCEDURE_CALL1(BgL_hashzd2funzd2_7, BgL_pwdz00_5); 
{ /* Llib/string2key.scm 24 */
 long BgL_hashzd2lenzd2_55;
BgL_hashzd2lenzd2_55 = 
STRING_LENGTH(
((obj_t)BgL_hashzd2strzd2_54)); 
{ /* Llib/string2key.scm 25 */

{ 
 obj_t BgL_strz00_57; long BgL_lenz00_58;
BgL_strz00_57 = BgL_hashzd2strzd2_54; 
BgL_lenz00_58 = BgL_hashzd2lenzd2_55; 
BgL_zc3z04anonymousza31025ze3z87_59:
if(
(BgL_lenz00_58<BgL_targetzd2lengthzd2_6))
{ 
 long BgL_lenz00_337; obj_t BgL_strz00_335;
BgL_strz00_335 = 
string_append(BgL_strz00_57, BgL_hashzd2strzd2_54); 
BgL_lenz00_337 = 
(BgL_lenz00_58+BgL_hashzd2lenzd2_55); 
BgL_lenz00_58 = BgL_lenz00_337; 
BgL_strz00_57 = BgL_strz00_335; 
goto BgL_zc3z04anonymousza31025ze3z87_59;}  else 
{ /* Llib/string2key.scm 29 */
if(
(BgL_lenz00_58==BgL_targetzd2lengthzd2_6))
{ /* Llib/string2key.scm 31 */
return BgL_strz00_57;}  else 
{ /* Llib/string2key.scm 31 */
return 
c_substring(
((obj_t)BgL_strz00_57), 0L, BgL_targetzd2lengthzd2_6);} } } } } } } 

}



/* &string->key-hash */
obj_t BGl_z62stringzd2ze3keyzd2hashz81zz__cryptozd2string2keyzd2(obj_t BgL_envz00_211, obj_t BgL_pwdz00_212, obj_t BgL_targetzd2lengthzd2_213, obj_t BgL_hashzd2funzd2_214)
{
{ /* Llib/string2key.scm 23 */
{ /* Llib/string2key.scm 24 */
 obj_t BgL_auxz00_359; long BgL_auxz00_350; obj_t BgL_auxz00_343;
if(
PROCEDUREP(BgL_hashzd2funzd2_214))
{ /* Llib/string2key.scm 24 */
BgL_auxz00_359 = BgL_hashzd2funzd2_214
; }  else 
{ 
 obj_t BgL_auxz00_362;
BgL_auxz00_362 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(967L), BGl_string1097z00zz__cryptozd2string2keyzd2, BGl_string1098z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_214); 
FAILURE(BgL_auxz00_362,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 24 */
 obj_t BgL_tmpz00_351;
if(
INTEGERP(BgL_targetzd2lengthzd2_213))
{ /* Llib/string2key.scm 24 */
BgL_tmpz00_351 = BgL_targetzd2lengthzd2_213
; }  else 
{ 
 obj_t BgL_auxz00_354;
BgL_auxz00_354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(967L), BGl_string1097z00zz__cryptozd2string2keyzd2, BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_targetzd2lengthzd2_213); 
FAILURE(BgL_auxz00_354,BFALSE,BFALSE);} 
BgL_auxz00_350 = 
(long)CINT(BgL_tmpz00_351); } 
if(
STRINGP(BgL_pwdz00_212))
{ /* Llib/string2key.scm 24 */
BgL_auxz00_343 = BgL_pwdz00_212
; }  else 
{ 
 obj_t BgL_auxz00_346;
BgL_auxz00_346 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(967L), BGl_string1097z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_pwdz00_212); 
FAILURE(BgL_auxz00_346,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_auxz00_343, BgL_auxz00_350, BgL_auxz00_359);} } 

}



/* string->key-simple */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(obj_t BgL_strz00_8, long BgL_lenz00_9, obj_t BgL_hashzd2funzd2_10)
{
{ /* Llib/string2key.scm 37 */
{ /* Llib/string2key.scm 39 */
 obj_t BgL_resz00_65;
{ /* Llib/string2key.scm 39 */

BgL_resz00_65 = 
make_string(BgL_lenz00_9, ((unsigned char)' ')); } 
{ 
 long BgL_iz00_67; long BgL_reszd2poszd2_68;
BgL_iz00_67 = 0L; 
BgL_reszd2poszd2_68 = 0L; 
BgL_zc3z04anonymousza31030ze3z87_69:
if(
(BgL_reszd2poszd2_68==BgL_lenz00_9))
{ /* Llib/string2key.scm 42 */
return BgL_resz00_65;}  else 
{ /* Llib/string2key.scm 44 */
 obj_t BgL_preloadz00_71;
BgL_preloadz00_71 = 
make_string(BgL_iz00_67, ((unsigned char)'\000')); 
{ /* Llib/string2key.scm 44 */
 obj_t BgL_hashz00_72;
{ /* Llib/string2key.scm 45 */
 obj_t BgL_arg1035z00_80;
BgL_arg1035z00_80 = 
string_append(BgL_preloadz00_71, BgL_strz00_8); 
BgL_hashz00_72 = 
BGL_PROCEDURE_CALL1(BgL_hashzd2funzd2_10, BgL_arg1035z00_80); } 
{ /* Llib/string2key.scm 45 */
 long BgL_hashzd2lenzd2_73;
BgL_hashzd2lenzd2_73 = 
STRING_LENGTH(
((obj_t)BgL_hashz00_72)); 
{ /* Llib/string2key.scm 46 */
 long BgL_charszd2tozd2blitz00_74;
{ /* Llib/string2key.scm 47 */
 long BgL_bz00_78;
BgL_bz00_78 = 
(BgL_lenz00_9-BgL_reszd2poszd2_68); 
if(
(BgL_hashzd2lenzd2_73<BgL_bz00_78))
{ /* Llib/string2key.scm 47 */
BgL_charszd2tozd2blitz00_74 = BgL_hashzd2lenzd2_73; }  else 
{ /* Llib/string2key.scm 47 */
BgL_charszd2tozd2blitz00_74 = BgL_bz00_78; } } 
{ /* Llib/string2key.scm 47 */

blit_string(
((obj_t)BgL_hashz00_72), 0L, BgL_resz00_65, BgL_reszd2poszd2_68, BgL_charszd2tozd2blitz00_74); 
{ 
 long BgL_reszd2poszd2_385; long BgL_iz00_383;
BgL_iz00_383 = 
(BgL_iz00_67+1L); 
BgL_reszd2poszd2_385 = 
(BgL_reszd2poszd2_68+BgL_charszd2tozd2blitz00_74); 
BgL_reszd2poszd2_68 = BgL_reszd2poszd2_385; 
BgL_iz00_67 = BgL_iz00_383; 
goto BgL_zc3z04anonymousza31030ze3z87_69;} } } } } } } } } 

}



/* &string->key-simple */
obj_t BGl_z62stringzd2ze3keyzd2simplez81zz__cryptozd2string2keyzd2(obj_t BgL_envz00_215, obj_t BgL_strz00_216, obj_t BgL_lenz00_217, obj_t BgL_hashzd2funzd2_218)
{
{ /* Llib/string2key.scm 37 */
{ /* Llib/string2key.scm 39 */
 obj_t BgL_auxz00_403; long BgL_auxz00_394; obj_t BgL_auxz00_387;
if(
PROCEDUREP(BgL_hashzd2funzd2_218))
{ /* Llib/string2key.scm 39 */
BgL_auxz00_403 = BgL_hashzd2funzd2_218
; }  else 
{ 
 obj_t BgL_auxz00_406;
BgL_auxz00_406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1402L), BGl_string1099z00zz__cryptozd2string2keyzd2, BGl_string1098z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_218); 
FAILURE(BgL_auxz00_406,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 39 */
 obj_t BgL_tmpz00_395;
if(
INTEGERP(BgL_lenz00_217))
{ /* Llib/string2key.scm 39 */
BgL_tmpz00_395 = BgL_lenz00_217
; }  else 
{ 
 obj_t BgL_auxz00_398;
BgL_auxz00_398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1402L), BGl_string1099z00zz__cryptozd2string2keyzd2, BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_lenz00_217); 
FAILURE(BgL_auxz00_398,BFALSE,BFALSE);} 
BgL_auxz00_394 = 
(long)CINT(BgL_tmpz00_395); } 
if(
STRINGP(BgL_strz00_216))
{ /* Llib/string2key.scm 39 */
BgL_auxz00_387 = BgL_strz00_216
; }  else 
{ 
 obj_t BgL_auxz00_390;
BgL_auxz00_390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1402L), BGl_string1099z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_strz00_216); 
FAILURE(BgL_auxz00_390,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(BgL_auxz00_387, BgL_auxz00_394, BgL_auxz00_403);} } 

}



/* string->key-salted */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2saltedze3zz__cryptozd2string2keyzd2(obj_t BgL_strz00_11, long BgL_lenz00_12, obj_t BgL_hashzd2funzd2_13, obj_t BgL_saltz00_14)
{
{ /* Llib/string2key.scm 52 */
return 
BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(
string_append(BgL_saltz00_14, BgL_strz00_11), BgL_lenz00_12, BgL_hashzd2funzd2_13);} 

}



/* &string->key-salted */
obj_t BGl_z62stringzd2ze3keyzd2saltedz81zz__cryptozd2string2keyzd2(obj_t BgL_envz00_219, obj_t BgL_strz00_220, obj_t BgL_lenz00_221, obj_t BgL_hashzd2funzd2_222, obj_t BgL_saltz00_223)
{
{ /* Llib/string2key.scm 52 */
{ /* Llib/string2key.scm 54 */
 obj_t BgL_auxz00_436; obj_t BgL_auxz00_429; long BgL_auxz00_420; obj_t BgL_auxz00_413;
if(
STRINGP(BgL_saltz00_223))
{ /* Llib/string2key.scm 54 */
BgL_auxz00_436 = BgL_saltz00_223
; }  else 
{ 
 obj_t BgL_auxz00_439;
BgL_auxz00_439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1951L), BGl_string1100z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_saltz00_223); 
FAILURE(BgL_auxz00_439,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_hashzd2funzd2_222))
{ /* Llib/string2key.scm 54 */
BgL_auxz00_429 = BgL_hashzd2funzd2_222
; }  else 
{ 
 obj_t BgL_auxz00_432;
BgL_auxz00_432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1951L), BGl_string1100z00zz__cryptozd2string2keyzd2, BGl_string1098z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_222); 
FAILURE(BgL_auxz00_432,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 54 */
 obj_t BgL_tmpz00_421;
if(
INTEGERP(BgL_lenz00_221))
{ /* Llib/string2key.scm 54 */
BgL_tmpz00_421 = BgL_lenz00_221
; }  else 
{ 
 obj_t BgL_auxz00_424;
BgL_auxz00_424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1951L), BGl_string1100z00zz__cryptozd2string2keyzd2, BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_lenz00_221); 
FAILURE(BgL_auxz00_424,BFALSE,BFALSE);} 
BgL_auxz00_420 = 
(long)CINT(BgL_tmpz00_421); } 
if(
STRINGP(BgL_strz00_220))
{ /* Llib/string2key.scm 54 */
BgL_auxz00_413 = BgL_strz00_220
; }  else 
{ 
 obj_t BgL_auxz00_416;
BgL_auxz00_416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(1951L), BGl_string1100z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_strz00_220); 
FAILURE(BgL_auxz00_416,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2saltedze3zz__cryptozd2string2keyzd2(BgL_auxz00_413, BgL_auxz00_420, BgL_auxz00_429, BgL_auxz00_436);} } 

}



/* string->key-iterated-salted */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2iteratedzd2saltedz31zz__cryptozd2string2keyzd2(obj_t BgL_strz00_15, long BgL_lenz00_16, obj_t BgL_hashzd2funzd2_17, obj_t BgL_saltz00_18, long BgL_countz00_19)
{
{ /* Llib/string2key.scm 57 */
{ /* Llib/string2key.scm 60 */
 obj_t BgL_resz00_85;
{ /* Llib/string2key.scm 60 */

BgL_resz00_85 = 
make_string(BgL_lenz00_16, ((unsigned char)' ')); } 
{ /* Llib/string2key.scm 60 */
 obj_t BgL_saltzb2strzb2_86;
BgL_saltzb2strzb2_86 = 
string_append(BgL_saltz00_18, BgL_strz00_15); 
{ /* Llib/string2key.scm 61 */
 long BgL_saltzb2strzd2lenz60_87;
BgL_saltzb2strzd2lenz60_87 = 
STRING_LENGTH(BgL_saltzb2strzb2_86); 
{ /* Llib/string2key.scm 62 */

{ 
 long BgL_iz00_89; long BgL_reszd2poszd2_90;
BgL_iz00_89 = 0L; 
BgL_reszd2poszd2_90 = 0L; 
BgL_zc3z04anonymousza31037ze3z87_91:
if(
(BgL_reszd2poszd2_90==BgL_lenz00_16))
{ /* Llib/string2key.scm 65 */
return BgL_resz00_85;}  else 
{ /* Llib/string2key.scm 67 */
 obj_t BgL_cntz00_243;
BgL_cntz00_243 = 
BGL_MAKE_UNSAFE_CELL(
BINT(BgL_countz00_19)); 
{ /* Llib/string2key.scm 67 */
 obj_t BgL_hashedzd2completelyzf3z21_244;
BgL_hashedzd2completelyzf3z21_244 = 
BGL_MAKE_UNSAFE_CELL(BFALSE); 
{ /* Llib/string2key.scm 68 */
 obj_t BgL_preloadedzf3zf3_245;
BgL_preloadedzf3zf3_245 = 
BGL_MAKE_UNSAFE_CELL(BFALSE); 
{ /* Llib/string2key.scm 73 */
 obj_t BgL_fz00_224;
BgL_fz00_224 = 
MAKE_FX_PROCEDURE(BGl_z62fz62zz__cryptozd2string2keyzd2, 
(int)(0L), 
(int)(6L)); 
PROCEDURE_SET(BgL_fz00_224, 
(int)(0L), 
((obj_t)BgL_hashedzd2completelyzf3z21_244)); 
PROCEDURE_SET(BgL_fz00_224, 
(int)(1L), 
((obj_t)BgL_cntz00_243)); 
PROCEDURE_SET(BgL_fz00_224, 
(int)(2L), 
BINT(BgL_saltzb2strzd2lenz60_87)); 
PROCEDURE_SET(BgL_fz00_224, 
(int)(3L), BgL_saltzb2strzb2_86); 
PROCEDURE_SET(BgL_fz00_224, 
(int)(4L), 
((obj_t)BgL_preloadedzf3zf3_245)); 
PROCEDURE_SET(BgL_fz00_224, 
(int)(5L), 
BINT(BgL_iz00_89)); 
{ /* Llib/string2key.scm 70 */
 obj_t BgL_hashz00_97;
{ /* Llib/string2key.scm 88 */
 obj_t BgL_arg1042z00_105;
{ /* Llib/string2key.scm 88 */

BgL_arg1042z00_105 = 
BGl_openzd2inputzd2procedurez00zz__r4_ports_6_10_1z00(BgL_fz00_224, BTRUE); } 
BgL_hashz00_97 = 
BGL_PROCEDURE_CALL1(BgL_hashzd2funzd2_17, BgL_arg1042z00_105); } 
{ /* Llib/string2key.scm 88 */
 long BgL_hashzd2lenzd2_98;
BgL_hashzd2lenzd2_98 = 
STRING_LENGTH(
((obj_t)BgL_hashz00_97)); 
{ /* Llib/string2key.scm 89 */
 long BgL_charszd2tozd2blitz00_99;
{ /* Llib/string2key.scm 90 */
 long BgL_bz00_103;
BgL_bz00_103 = 
(BgL_lenz00_16-BgL_reszd2poszd2_90); 
if(
(BgL_hashzd2lenzd2_98<BgL_bz00_103))
{ /* Llib/string2key.scm 90 */
BgL_charszd2tozd2blitz00_99 = BgL_hashzd2lenzd2_98; }  else 
{ /* Llib/string2key.scm 90 */
BgL_charszd2tozd2blitz00_99 = BgL_bz00_103; } } 
{ /* Llib/string2key.scm 90 */

blit_string(
((obj_t)BgL_hashz00_97), 0L, BgL_resz00_85, BgL_reszd2poszd2_90, BgL_charszd2tozd2blitz00_99); 
{ 
 long BgL_reszd2poszd2_484; long BgL_iz00_482;
BgL_iz00_482 = 
(BgL_iz00_89+1L); 
BgL_reszd2poszd2_484 = 
(BgL_reszd2poszd2_90+BgL_charszd2tozd2blitz00_99); 
BgL_reszd2poszd2_90 = BgL_reszd2poszd2_484; 
BgL_iz00_89 = BgL_iz00_482; 
goto BgL_zc3z04anonymousza31037ze3z87_91;} } } } } } } } } } } } } } } 

}



/* &string->key-iterated-salted */
obj_t BGl_z62stringzd2ze3keyzd2iteratedzd2saltedz53zz__cryptozd2string2keyzd2(obj_t BgL_envz00_225, obj_t BgL_strz00_226, obj_t BgL_lenz00_227, obj_t BgL_hashzd2funzd2_228, obj_t BgL_saltz00_229, obj_t BgL_countz00_230)
{
{ /* Llib/string2key.scm 57 */
{ /* Llib/string2key.scm 60 */
 long BgL_auxz00_516; obj_t BgL_auxz00_509; obj_t BgL_auxz00_502; long BgL_auxz00_493; obj_t BgL_auxz00_486;
{ /* Llib/string2key.scm 60 */
 obj_t BgL_tmpz00_517;
if(
INTEGERP(BgL_countz00_230))
{ /* Llib/string2key.scm 60 */
BgL_tmpz00_517 = BgL_countz00_230
; }  else 
{ 
 obj_t BgL_auxz00_520;
BgL_auxz00_520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(2164L), BGl_string1101z00zz__cryptozd2string2keyzd2, BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_countz00_230); 
FAILURE(BgL_auxz00_520,BFALSE,BFALSE);} 
BgL_auxz00_516 = 
(long)CINT(BgL_tmpz00_517); } 
if(
STRINGP(BgL_saltz00_229))
{ /* Llib/string2key.scm 60 */
BgL_auxz00_509 = BgL_saltz00_229
; }  else 
{ 
 obj_t BgL_auxz00_512;
BgL_auxz00_512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(2164L), BGl_string1101z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_saltz00_229); 
FAILURE(BgL_auxz00_512,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_hashzd2funzd2_228))
{ /* Llib/string2key.scm 60 */
BgL_auxz00_502 = BgL_hashzd2funzd2_228
; }  else 
{ 
 obj_t BgL_auxz00_505;
BgL_auxz00_505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(2164L), BGl_string1101z00zz__cryptozd2string2keyzd2, BGl_string1098z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_228); 
FAILURE(BgL_auxz00_505,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 60 */
 obj_t BgL_tmpz00_494;
if(
INTEGERP(BgL_lenz00_227))
{ /* Llib/string2key.scm 60 */
BgL_tmpz00_494 = BgL_lenz00_227
; }  else 
{ 
 obj_t BgL_auxz00_497;
BgL_auxz00_497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(2164L), BGl_string1101z00zz__cryptozd2string2keyzd2, BGl_string1096z00zz__cryptozd2string2keyzd2, BgL_lenz00_227); 
FAILURE(BgL_auxz00_497,BFALSE,BFALSE);} 
BgL_auxz00_493 = 
(long)CINT(BgL_tmpz00_494); } 
if(
STRINGP(BgL_strz00_226))
{ /* Llib/string2key.scm 60 */
BgL_auxz00_486 = BgL_strz00_226
; }  else 
{ 
 obj_t BgL_auxz00_489;
BgL_auxz00_489 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1093z00zz__cryptozd2string2keyzd2, 
BINT(2164L), BGl_string1101z00zz__cryptozd2string2keyzd2, BGl_string1095z00zz__cryptozd2string2keyzd2, BgL_strz00_226); 
FAILURE(BgL_auxz00_489,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2iteratedzd2saltedz31zz__cryptozd2string2keyzd2(BgL_auxz00_486, BgL_auxz00_493, BgL_auxz00_502, BgL_auxz00_509, BgL_auxz00_516);} } 

}



/* &f */
obj_t BGl_z62fz62zz__cryptozd2string2keyzd2(obj_t BgL_envz00_231)
{
{ /* Llib/string2key.scm 70 */
{ /* Llib/string2key.scm 73 */
 obj_t BgL_hashedzd2completelyzf3z21_232; obj_t BgL_cntz00_233; long BgL_saltzb2strzd2lenz60_234; obj_t BgL_saltzb2strzb2_235; obj_t BgL_preloadedzf3zf3_236; long BgL_iz00_237;
BgL_hashedzd2completelyzf3z21_232 = 
PROCEDURE_REF(BgL_envz00_231, 
(int)(0L)); 
BgL_cntz00_233 = 
PROCEDURE_REF(BgL_envz00_231, 
(int)(1L)); 
BgL_saltzb2strzd2lenz60_234 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_231, 
(int)(2L))); 
BgL_saltzb2strzb2_235 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_231, 
(int)(3L))); 
BgL_preloadedzf3zf3_236 = 
PROCEDURE_REF(BgL_envz00_231, 
(int)(4L)); 
BgL_iz00_237 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_231, 
(int)(5L))); 
{ /* Llib/string2key.scm 73 */
 bool_t BgL_test1144z00_541;
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_preloadedzf3zf3_236)))
{ /* Llib/string2key.scm 73 */
BgL_test1144z00_541 = ((bool_t)0)
; }  else 
{ /* Llib/string2key.scm 73 */
if(
(BgL_iz00_237==0L))
{ /* Llib/string2key.scm 73 */
BgL_test1144z00_541 = ((bool_t)0)
; }  else 
{ /* Llib/string2key.scm 73 */
BgL_test1144z00_541 = ((bool_t)1)
; } } 
if(BgL_test1144z00_541)
{ /* Llib/string2key.scm 73 */
{ /* Llib/string2key.scm 74 */
 obj_t BgL_auxz00_281;
BgL_auxz00_281 = BTRUE; 
BGL_UNSAFE_CELL_SET(BgL_preloadedzf3zf3_236, BgL_auxz00_281); } 
return 
make_string(BgL_iz00_237, ((unsigned char)'\000'));}  else 
{ /* Llib/string2key.scm 73 */
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_hashedzd2completelyzf3z21_232)))
{ /* Llib/string2key.scm 76 */
if(
(
(long)CINT(
BGL_UNSAFE_CELL_REF(BgL_cntz00_233))==0L))
{ /* Llib/string2key.scm 80 */
return BFALSE;}  else 
{ /* Llib/string2key.scm 80 */
if(
(
(long)CINT(
BGL_UNSAFE_CELL_REF(BgL_cntz00_233))<BgL_saltzb2strzd2lenz60_234))
{ /* Llib/string2key.scm 82 */
 obj_t BgL_tz00_282;
BgL_tz00_282 = 
BGL_UNSAFE_CELL_REF(BgL_cntz00_233); 
{ /* Llib/string2key.scm 83 */
 obj_t BgL_auxz00_283;
BgL_auxz00_283 = 
BINT(0L); 
BGL_UNSAFE_CELL_SET(BgL_cntz00_233, BgL_auxz00_283); } 
return 
c_substring(BgL_saltzb2strzb2_235, 0L, 
(long)CINT(BgL_tz00_282));}  else 
{ /* Llib/string2key.scm 81 */
{ /* Llib/string2key.scm 86 */
 obj_t BgL_auxz00_284;
BgL_auxz00_284 = 
SUBFX(
BGL_UNSAFE_CELL_REF(BgL_cntz00_233), 
BINT(BgL_saltzb2strzd2lenz60_234)); 
BGL_UNSAFE_CELL_SET(BgL_cntz00_233, BgL_auxz00_284); } 
return BgL_saltzb2strzb2_235;} } }  else 
{ /* Llib/string2key.scm 76 */
{ /* Llib/string2key.scm 77 */
 obj_t BgL_auxz00_285;
BgL_auxz00_285 = BTRUE; 
BGL_UNSAFE_CELL_SET(BgL_hashedzd2completelyzf3z21_232, BgL_auxz00_285); } 
{ /* Llib/string2key.scm 78 */
 obj_t BgL_auxz00_286;
BgL_auxz00_286 = 
SUBFX(
BGL_UNSAFE_CELL_REF(BgL_cntz00_233), 
BINT(BgL_saltzb2strzd2lenz60_234)); 
BGL_UNSAFE_CELL_SET(BgL_cntz00_233, BgL_auxz00_286); } 
return BgL_saltzb2strzb2_235;} } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2string2keyzd2(void)
{
{ /* Llib/string2key.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2string2keyzd2(void)
{
{ /* Llib/string2key.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2string2keyzd2(void)
{
{ /* Llib/string2key.scm 1 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2string2keyzd2(void)
{
{ /* Llib/string2key.scm 1 */
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(300158978L, 
BSTRING_TO_STRING(BGl_string1102z00zz__cryptozd2string2keyzd2));} 

}

#ifdef __cplusplus
}
#endif
