/*===========================================================================*/
/*   (Llib/gstregistry.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread -DWITH_GZFILEOP -copt -fPIC -copt -IClib Llib/gstregistry.scm -o objs/gstregistry.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___GSTREAMER_GSTREGISTRY_TYPE_DEFINITIONS
#define BGL___GSTREAMER_GSTREGISTRY_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;

typedef struct BgL_gstzd2pluginzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2pluginzd2_bglt;

typedef struct BgL_gstzd2registryzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2registryzd2_bglt;


#endif // BGL___GSTREAMER_GSTREGISTRY_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00;
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstregistryz00 = BUNSPEC;
static obj_t BGl__gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static BgL_gstzd2registryzd2_bglt BGl_z62gstzd2registryzd2defaultz62zz__gstreamer_gstregistryz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstregistryz00(void);
BGL_EXPORTED_DECL obj_t BGl_gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00(char *, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstregistryz00(void);
BGL_EXPORTED_DECL BgL_gstzd2registryzd2_bglt BGl_gstzd2registryzd2defaultz00zz__gstreamer_gstregistryz00(void);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstregistryz00(void);
BGL_EXPORTED_DECL obj_t BGl_gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gstregistryz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t bgl_gst_plugin_feature_new(GstPluginFeature *, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00(obj_t, obj_t);
extern obj_t BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00;
BGL_EXPORTED_DEF obj_t BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t bgl_gst_plugin_new(GstPlugin *, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstregistryz00(void);
static obj_t BGl__gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00(obj_t, obj_t);
static obj_t BGl__gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_gstzd2registryzd2_bglt BGl_z62lambda1145z62zz__gstreamer_gstregistryz00(obj_t, obj_t, obj_t, obj_t);
static BgL_gstzd2registryzd2_bglt BGl_z62lambda1148z62zz__gstreamer_gstregistryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstregistryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl__gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstregistryz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstregistryz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstregistryz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstregistryz00(void);
static obj_t BGl__gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00(obj_t, obj_t);
static obj_t BGl_defaultzd2registryzd2zz__gstreamer_gstregistryz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00(char *, long, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STRING( BGl_string1198z00zz__gstreamer_gstregistryz00, BgL_bgl_string1198za700za7za7_1215za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/gstreamer/src/Llib/gstregistry.scm", 90 );
DEFINE_STRING( BGl_string1199z00zz__gstreamer_gstregistryz00, BgL_bgl_string1199za700za7za7_1216za7, "_gst-registry-element-factory-list", 34 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2registryzd2pluginzd2listzd2envz00zz__gstreamer_gstregistryz00, BgL_bgl__gstza7d2registryza71217z00, opt_generic_entry, BGl__gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2registryzd2findzd2featurezd2envz00zz__gstreamer_gstregistryz00, BgL_bgl__gstza7d2registryza71218z00, opt_generic_entry, BGl__gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00, BFALSE, -1 );
extern obj_t BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2registryzd2featurezd2listzd2byzd2pluginzd2envz00zz__gstreamer_gstregistryz00, BgL_bgl__gstza7d2registryza71219z00, opt_generic_entry, BGl__gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00, BFALSE, -1 );
extern obj_t BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2registryzd2findzd2pluginzd2envz00zz__gstreamer_gstregistryz00, BgL_bgl__gstza7d2registryza71220z00, opt_generic_entry, BGl__gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_bgl_string1200za700za7za7_1221za7, "vector", 6 );
DEFINE_STRING( BGl_string1201z00zz__gstreamer_gstregistryz00, BgL_bgl_string1201za700za7za7_1222za7, "_gst-registry-plugin-list", 25 );
DEFINE_STRING( BGl_string1202z00zz__gstreamer_gstregistryz00, BgL_bgl_string1202za700za7za7_1223za7, "_gst-registry-feature-list-by-plugin", 36 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2registryzd2defaultzd2envzd2zz__gstreamer_gstregistryz00, BgL_bgl_za762gstza7d2registr1224z00, BGl_z62gstzd2registryzd2defaultz62zz__gstreamer_gstregistryz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1203z00zz__gstreamer_gstregistryz00, BgL_bgl_string1203za700za7za7_1225za7, "gst-registry-feature-list-by-plugin", 35 );
DEFINE_STRING( BGl_string1204z00zz__gstreamer_gstregistryz00, BgL_bgl_string1204za700za7za7_1226za7, "gst-plugin or string", 20 );
DEFINE_STRING( BGl_string1205z00zz__gstreamer_gstregistryz00, BgL_bgl_string1205za700za7za7_1227za7, "_gst-registry-find-plugin", 25 );
DEFINE_STRING( BGl_string1206z00zz__gstreamer_gstregistryz00, BgL_bgl_string1206za700za7za7_1228za7, "bstring", 7 );
DEFINE_STRING( BGl_string1207z00zz__gstreamer_gstregistryz00, BgL_bgl_string1207za700za7za7_1229za7, "_gst-registry-find-feature", 26 );
DEFINE_STRING( BGl_string1208z00zz__gstreamer_gstregistryz00, BgL_bgl_string1208za700za7za7_1230za7, "bint", 4 );
DEFINE_STRING( BGl_string1212z00zz__gstreamer_gstregistryz00, BgL_bgl_string1212za700za7za7_1231za7, "__gstreamer_gstregistry", 23 );
DEFINE_STRING( BGl_string1213z00zz__gstreamer_gstregistryz00, BgL_bgl_string1213za700za7za7_1232za7, "__gstreamer_gstregistry gst-registry ", 37 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1209z00zz__gstreamer_gstregistryz00, BgL_bgl_za762za7c3za704anonymo1233za7, BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gstregistryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2registryzd2elementzd2factoryzd2listzd2envzd2zz__gstreamer_gstregistryz00, BgL_bgl__gstza7d2registryza71234z00, opt_generic_entry, BGl__gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1210z00zz__gstreamer_gstregistryz00, BgL_bgl_za762lambda1148za7621235z00, BGl_z62lambda1148z62zz__gstreamer_gstregistryz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1211z00zz__gstreamer_gstregistryz00, BgL_bgl_za762lambda1145za7621236z00, BGl_z62lambda1145z62zz__gstreamer_gstregistryz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstregistryz00) );
ADD_ROOT( (void *)(&BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00) );
ADD_ROOT( (void *)(&BGl_defaultzd2registryzd2zz__gstreamer_gstregistryz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstregistryz00(long BgL_checksumz00_438, char * BgL_fromz00_439)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstregistryz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstregistryz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstregistryz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstregistryz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstregistryz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstregistryz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstregistryz00(); 
return 
BGl_toplevelzd2initzd2zz__gstreamer_gstregistryz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__gstreamer_gstregistry"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__gstreamer_gstregistry"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
{ /* Llib/gstregistry.scm 15 */
 obj_t BgL_cportz00_418;
{ /* Llib/gstregistry.scm 15 */
 obj_t BgL_stringz00_425;
BgL_stringz00_425 = BGl_string1213z00zz__gstreamer_gstregistryz00; 
{ /* Llib/gstregistry.scm 15 */
 obj_t BgL_startz00_426;
BgL_startz00_426 = 
BINT(0L); 
{ /* Llib/gstregistry.scm 15 */
 obj_t BgL_endz00_427;
BgL_endz00_427 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_425))); 
{ /* Llib/gstregistry.scm 15 */

BgL_cportz00_418 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_425, BgL_startz00_426, BgL_endz00_427); } } } } 
{ 
 long BgL_iz00_419;
BgL_iz00_419 = 1L; 
BgL_loopz00_420:
if(
(BgL_iz00_419==(-1L)))
{ /* Llib/gstregistry.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstregistry.scm 15 */
{ /* Llib/gstregistry.scm 15 */
 obj_t BgL_arg1214z00_421;
{ /* Llib/gstregistry.scm 15 */

{ /* Llib/gstregistry.scm 15 */
 obj_t BgL_locationz00_423;
BgL_locationz00_423 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstregistry.scm 15 */

BgL_arg1214z00_421 = 
BGl_readz00zz__readerz00(BgL_cportz00_418, BgL_locationz00_423); } } } 
{ /* Llib/gstregistry.scm 15 */
 int BgL_tmpz00_466;
BgL_tmpz00_466 = 
(int)(BgL_iz00_419); 
CNST_TABLE_SET(BgL_tmpz00_466, BgL_arg1214z00_421); } } 
{ /* Llib/gstregistry.scm 15 */
 int BgL_auxz00_424;
BgL_auxz00_424 = 
(int)(
(BgL_iz00_419-1L)); 
{ 
 long BgL_iz00_471;
BgL_iz00_471 = 
(long)(BgL_auxz00_424); 
BgL_iz00_419 = BgL_iz00_471; 
goto BgL_loopz00_420;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
return ( 
BGl_defaultzd2registryzd2zz__gstreamer_gstregistryz00 = BUNSPEC, BUNSPEC) ;} 

}



/* gst-registry-default */
BGL_EXPORTED_DEF BgL_gstzd2registryzd2_bglt BGl_gstzd2registryzd2defaultz00zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 46 */
{ /* Llib/gstregistry.scm 47 */
 bool_t BgL_test1240z00_474;
{ /* Llib/gstregistry.scm 47 */
 obj_t BgL_objz00_113; obj_t BgL_classz00_114;
BgL_objz00_113 = BGl_defaultzd2registryzd2zz__gstreamer_gstregistryz00; 
BgL_classz00_114 = BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00; 
if(
BGL_OBJECTP(BgL_objz00_113))
{ /* Llib/gstregistry.scm 47 */
 BgL_objectz00_bglt BgL_arg1827z00_116;
BgL_arg1827z00_116 = 
(BgL_objectz00_bglt)(BgL_objz00_113); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 47 */
 long BgL_idxz00_122;
BgL_idxz00_122 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_116); 
BgL_test1240z00_474 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_122+2L))==BgL_classz00_114); }  else 
{ /* Llib/gstregistry.scm 47 */
 bool_t BgL_res1151z00_147;
{ /* Llib/gstregistry.scm 47 */
 obj_t BgL_oclassz00_130;
{ /* Llib/gstregistry.scm 47 */
 obj_t BgL_arg1834z00_138; long BgL_arg1835z00_139;
BgL_arg1834z00_138 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 47 */
 long BgL_arg1836z00_140;
BgL_arg1836z00_140 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_116); 
BgL_arg1835z00_139 = 
(BgL_arg1836z00_140-OBJECT_TYPE); } 
BgL_oclassz00_130 = 
VECTOR_REF(BgL_arg1834z00_138,BgL_arg1835z00_139); } 
{ /* Llib/gstregistry.scm 47 */
 bool_t BgL__ortest_1114z00_131;
BgL__ortest_1114z00_131 = 
(BgL_classz00_114==BgL_oclassz00_130); 
if(BgL__ortest_1114z00_131)
{ /* Llib/gstregistry.scm 47 */
BgL_res1151z00_147 = BgL__ortest_1114z00_131; }  else 
{ /* Llib/gstregistry.scm 47 */
 long BgL_odepthz00_132;
{ /* Llib/gstregistry.scm 47 */
 obj_t BgL_arg1824z00_133;
BgL_arg1824z00_133 = 
(BgL_oclassz00_130); 
BgL_odepthz00_132 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_133); } 
if(
(2L<BgL_odepthz00_132))
{ /* Llib/gstregistry.scm 47 */
 obj_t BgL_arg1822z00_135;
{ /* Llib/gstregistry.scm 47 */
 obj_t BgL_arg1823z00_136;
BgL_arg1823z00_136 = 
(BgL_oclassz00_130); 
BgL_arg1822z00_135 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_136, 2L); } 
BgL_res1151z00_147 = 
(BgL_arg1822z00_135==BgL_classz00_114); }  else 
{ /* Llib/gstregistry.scm 47 */
BgL_res1151z00_147 = ((bool_t)0); } } } } 
BgL_test1240z00_474 = BgL_res1151z00_147; } }  else 
{ /* Llib/gstregistry.scm 47 */
BgL_test1240z00_474 = ((bool_t)0)
; } } 
if(BgL_test1240z00_474)
{ /* Llib/gstregistry.scm 47 */BFALSE; }  else 
{ /* Llib/gstregistry.scm 49 */
 BgL_gstzd2registryzd2_bglt BgL_new1061z00_33;
{ /* Llib/gstregistry.scm 50 */
 BgL_gstzd2registryzd2_bglt BgL_new1060z00_36;
BgL_new1060z00_36 = 
((BgL_gstzd2registryzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2registryzd2_bgl) ))); 
{ /* Llib/gstregistry.scm 50 */
 long BgL_arg1116z00_37;
BgL_arg1116z00_37 = 
BGL_CLASS_NUM(BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_36), BgL_arg1116z00_37); } 
BgL_new1061z00_33 = BgL_new1060z00_36; } 
{ 
 GstObject * BgL_auxz00_501;
{ /* Llib/gstregistry.scm 51 */
 GstRegistry * BgL_arg1112z00_34;
BgL_arg1112z00_34 = 
gst_registry_get(); 
BgL_auxz00_501 = 
(GstObject *)(BgL_arg1112z00_34); } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1061z00_33)))->BgL_z42builtinz42)=((GstObject *)BgL_auxz00_501),BUNSPEC); } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1061z00_33)))->BgL_z42finaliza7erze5)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1061z00_33)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/gstregistry.scm 49 */
 obj_t BgL_fun1113z00_35;
BgL_fun1113z00_35 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00); 
BGL_PROCEDURE_CALL1(BgL_fun1113z00_35, 
((obj_t)BgL_new1061z00_33)); } 
BGl_defaultzd2registryzd2zz__gstreamer_gstregistryz00 = 
((obj_t)BgL_new1061z00_33); } } 
return 
((BgL_gstzd2registryzd2_bglt)BGl_defaultzd2registryzd2zz__gstreamer_gstregistryz00);} 

}



/* &gst-registry-default */
BgL_gstzd2registryzd2_bglt BGl_z62gstzd2registryzd2defaultz62zz__gstreamer_gstregistryz00(obj_t BgL_envz00_365)
{
{ /* Llib/gstregistry.scm 46 */
return 
BGl_gstzd2registryzd2defaultz00zz__gstreamer_gstregistryz00();} 

}



/* _gst-registry-element-factory-list */
obj_t BGl__gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00(obj_t BgL_env1083z00_5, obj_t BgL_opt1082z00_4)
{
{ /* Llib/gstregistry.scm 57 */
{ /* Llib/gstregistry.scm 57 */

{ /* Llib/gstregistry.scm 57 */
 long BgL_aux1085z00_39;
{ 
 obj_t BgL_auxz00_519;
if(
VECTORP(BgL_opt1082z00_4))
{ /* Llib/gstregistry.scm 57 */
BgL_auxz00_519 = BgL_opt1082z00_4
; }  else 
{ 
 obj_t BgL_auxz00_522;
BgL_auxz00_522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(2655L), BGl_string1199z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1082z00_4); 
FAILURE(BgL_auxz00_522,BFALSE,BFALSE);} 
BgL_aux1085z00_39 = 
VECTOR_LENGTH(BgL_auxz00_519); } 
switch( BgL_aux1085z00_39) { case 0L : 

{ /* Llib/gstregistry.scm 57 */

return 
BGl_gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00(BFALSE);} break;case 1L : 

{ /* Llib/gstregistry.scm 57 */
 obj_t BgL_registryz00_41;
{ 
 obj_t BgL_auxz00_528;
if(
VECTORP(BgL_opt1082z00_4))
{ /* Llib/gstregistry.scm 57 */
BgL_auxz00_528 = BgL_opt1082z00_4
; }  else 
{ 
 obj_t BgL_auxz00_531;
BgL_auxz00_531 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(2655L), BGl_string1199z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1082z00_4); 
FAILURE(BgL_auxz00_531,BFALSE,BFALSE);} 
BgL_registryz00_41 = 
VECTOR_REF(BgL_auxz00_528,0L); } 
{ /* Llib/gstregistry.scm 57 */

return 
BGl_gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00(BgL_registryz00_41);} } break;
default: 
return BUNSPEC;} } } } 

}



/* gst-registry-element-factory-list */
BGL_EXPORTED_DEF obj_t BGl_gstzd2registryzd2elementzd2factoryzd2listz00zz__gstreamer_gstregistryz00(obj_t BgL_registryz00_3)
{
{ /* Llib/gstregistry.scm 57 */
{ /* Llib/gstregistry.scm 59 */
 GstRegistry * BgL_arg1117z00_42;
{ /* Llib/gstregistry.scm 59 */
 bool_t BgL_test1247z00_538;
{ /* Llib/gstregistry.scm 59 */
 obj_t BgL_classz00_151;
BgL_classz00_151 = BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00; 
if(
BGL_OBJECTP(BgL_registryz00_3))
{ /* Llib/gstregistry.scm 59 */
 BgL_objectz00_bglt BgL_arg1827z00_153;
BgL_arg1827z00_153 = 
(BgL_objectz00_bglt)(BgL_registryz00_3); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 59 */
 long BgL_idxz00_159;
BgL_idxz00_159 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_153); 
BgL_test1247z00_538 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_159+2L))==BgL_classz00_151); }  else 
{ /* Llib/gstregistry.scm 59 */
 bool_t BgL_res1152z00_184;
{ /* Llib/gstregistry.scm 59 */
 obj_t BgL_oclassz00_167;
{ /* Llib/gstregistry.scm 59 */
 obj_t BgL_arg1834z00_175; long BgL_arg1835z00_176;
BgL_arg1834z00_175 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 59 */
 long BgL_arg1836z00_177;
BgL_arg1836z00_177 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_153); 
BgL_arg1835z00_176 = 
(BgL_arg1836z00_177-OBJECT_TYPE); } 
BgL_oclassz00_167 = 
VECTOR_REF(BgL_arg1834z00_175,BgL_arg1835z00_176); } 
{ /* Llib/gstregistry.scm 59 */
 bool_t BgL__ortest_1114z00_168;
BgL__ortest_1114z00_168 = 
(BgL_classz00_151==BgL_oclassz00_167); 
if(BgL__ortest_1114z00_168)
{ /* Llib/gstregistry.scm 59 */
BgL_res1152z00_184 = BgL__ortest_1114z00_168; }  else 
{ /* Llib/gstregistry.scm 59 */
 long BgL_odepthz00_169;
{ /* Llib/gstregistry.scm 59 */
 obj_t BgL_arg1824z00_170;
BgL_arg1824z00_170 = 
(BgL_oclassz00_167); 
BgL_odepthz00_169 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_170); } 
if(
(2L<BgL_odepthz00_169))
{ /* Llib/gstregistry.scm 59 */
 obj_t BgL_arg1822z00_172;
{ /* Llib/gstregistry.scm 59 */
 obj_t BgL_arg1823z00_173;
BgL_arg1823z00_173 = 
(BgL_oclassz00_167); 
BgL_arg1822z00_172 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_173, 2L); } 
BgL_res1152z00_184 = 
(BgL_arg1822z00_172==BgL_classz00_151); }  else 
{ /* Llib/gstregistry.scm 59 */
BgL_res1152z00_184 = ((bool_t)0); } } } } 
BgL_test1247z00_538 = BgL_res1152z00_184; } }  else 
{ /* Llib/gstregistry.scm 59 */
BgL_test1247z00_538 = ((bool_t)0)
; } } 
if(BgL_test1247z00_538)
{ /* Llib/gstregistry.scm 61 */
 GstObject * BgL_arg1119z00_45;
BgL_arg1119z00_45 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_registryz00_3))))->BgL_z42builtinz42); 
BgL_arg1117z00_42 = 
GST_REGISTRY(BgL_arg1119z00_45); }  else 
{ /* Llib/gstregistry.scm 59 */
BgL_arg1117z00_42 = 
gst_registry_get(); } } 
return 
bgl_gst_registry_get_element_factory_list(BgL_arg1117z00_42);} } 

}



/* _gst-registry-plugin-list */
obj_t BGl__gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00(obj_t BgL_env1087z00_8, obj_t BgL_opt1086z00_7)
{
{ /* Llib/gstregistry.scm 67 */
{ /* Llib/gstregistry.scm 67 */

{ /* Llib/gstregistry.scm 67 */
 long BgL_aux1089z00_47;
{ 
 obj_t BgL_auxz00_567;
if(
VECTORP(BgL_opt1086z00_7))
{ /* Llib/gstregistry.scm 67 */
BgL_auxz00_567 = BgL_opt1086z00_7
; }  else 
{ 
 obj_t BgL_auxz00_570;
BgL_auxz00_570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(3129L), BGl_string1201z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1086z00_7); 
FAILURE(BgL_auxz00_570,BFALSE,BFALSE);} 
BgL_aux1089z00_47 = 
VECTOR_LENGTH(BgL_auxz00_567); } 
switch( BgL_aux1089z00_47) { case 0L : 

{ /* Llib/gstregistry.scm 67 */

return 
BGl_gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00(BFALSE);} break;case 1L : 

{ /* Llib/gstregistry.scm 67 */
 obj_t BgL_registryz00_49;
{ 
 obj_t BgL_auxz00_576;
if(
VECTORP(BgL_opt1086z00_7))
{ /* Llib/gstregistry.scm 67 */
BgL_auxz00_576 = BgL_opt1086z00_7
; }  else 
{ 
 obj_t BgL_auxz00_579;
BgL_auxz00_579 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(3129L), BGl_string1201z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1086z00_7); 
FAILURE(BgL_auxz00_579,BFALSE,BFALSE);} 
BgL_registryz00_49 = 
VECTOR_REF(BgL_auxz00_576,0L); } 
{ /* Llib/gstregistry.scm 67 */

return 
BGl_gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00(BgL_registryz00_49);} } break;
default: 
return BUNSPEC;} } } } 

}



/* gst-registry-plugin-list */
BGL_EXPORTED_DEF obj_t BGl_gstzd2registryzd2pluginzd2listzd2zz__gstreamer_gstregistryz00(obj_t BgL_registryz00_6)
{
{ /* Llib/gstregistry.scm 67 */
{ /* Llib/gstregistry.scm 69 */
 GstRegistry * BgL_arg1120z00_50;
{ /* Llib/gstregistry.scm 69 */
 bool_t BgL_test1255z00_586;
{ /* Llib/gstregistry.scm 69 */
 obj_t BgL_classz00_185;
BgL_classz00_185 = BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00; 
if(
BGL_OBJECTP(BgL_registryz00_6))
{ /* Llib/gstregistry.scm 69 */
 BgL_objectz00_bglt BgL_arg1827z00_187;
BgL_arg1827z00_187 = 
(BgL_objectz00_bglt)(BgL_registryz00_6); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 69 */
 long BgL_idxz00_193;
BgL_idxz00_193 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_187); 
BgL_test1255z00_586 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_193+2L))==BgL_classz00_185); }  else 
{ /* Llib/gstregistry.scm 69 */
 bool_t BgL_res1153z00_218;
{ /* Llib/gstregistry.scm 69 */
 obj_t BgL_oclassz00_201;
{ /* Llib/gstregistry.scm 69 */
 obj_t BgL_arg1834z00_209; long BgL_arg1835z00_210;
BgL_arg1834z00_209 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 69 */
 long BgL_arg1836z00_211;
BgL_arg1836z00_211 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_187); 
BgL_arg1835z00_210 = 
(BgL_arg1836z00_211-OBJECT_TYPE); } 
BgL_oclassz00_201 = 
VECTOR_REF(BgL_arg1834z00_209,BgL_arg1835z00_210); } 
{ /* Llib/gstregistry.scm 69 */
 bool_t BgL__ortest_1114z00_202;
BgL__ortest_1114z00_202 = 
(BgL_classz00_185==BgL_oclassz00_201); 
if(BgL__ortest_1114z00_202)
{ /* Llib/gstregistry.scm 69 */
BgL_res1153z00_218 = BgL__ortest_1114z00_202; }  else 
{ /* Llib/gstregistry.scm 69 */
 long BgL_odepthz00_203;
{ /* Llib/gstregistry.scm 69 */
 obj_t BgL_arg1824z00_204;
BgL_arg1824z00_204 = 
(BgL_oclassz00_201); 
BgL_odepthz00_203 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_204); } 
if(
(2L<BgL_odepthz00_203))
{ /* Llib/gstregistry.scm 69 */
 obj_t BgL_arg1822z00_206;
{ /* Llib/gstregistry.scm 69 */
 obj_t BgL_arg1823z00_207;
BgL_arg1823z00_207 = 
(BgL_oclassz00_201); 
BgL_arg1822z00_206 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_207, 2L); } 
BgL_res1153z00_218 = 
(BgL_arg1822z00_206==BgL_classz00_185); }  else 
{ /* Llib/gstregistry.scm 69 */
BgL_res1153z00_218 = ((bool_t)0); } } } } 
BgL_test1255z00_586 = BgL_res1153z00_218; } }  else 
{ /* Llib/gstregistry.scm 69 */
BgL_test1255z00_586 = ((bool_t)0)
; } } 
if(BgL_test1255z00_586)
{ /* Llib/gstregistry.scm 71 */
 GstObject * BgL_arg1122z00_53;
BgL_arg1122z00_53 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_registryz00_6))))->BgL_z42builtinz42); 
BgL_arg1120z00_50 = 
GST_REGISTRY(BgL_arg1122z00_53); }  else 
{ /* Llib/gstregistry.scm 69 */
BgL_arg1120z00_50 = 
gst_registry_get(); } } 
return 
bgl_gst_registry_get_plugin_list(BgL_arg1120z00_50);} } 

}



/* _gst-registry-feature-list-by-plugin */
obj_t BGl__gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00(obj_t BgL_env1091z00_12, obj_t BgL_opt1090z00_11)
{
{ /* Llib/gstregistry.scm 77 */
{ /* Llib/gstregistry.scm 77 */
 obj_t BgL_g1092z00_54;
{ 
 obj_t BgL_auxz00_615;
if(
VECTORP(BgL_opt1090z00_11))
{ /* Llib/gstregistry.scm 77 */
BgL_auxz00_615 = BgL_opt1090z00_11
; }  else 
{ 
 obj_t BgL_auxz00_618;
BgL_auxz00_618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(3580L), BGl_string1202z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1090z00_11); 
FAILURE(BgL_auxz00_618,BFALSE,BFALSE);} 
BgL_g1092z00_54 = 
VECTOR_REF(BgL_auxz00_615,0L); } 
{ /* Llib/gstregistry.scm 77 */
 long BgL_aux1094z00_56;
{ 
 obj_t BgL_auxz00_623;
if(
VECTORP(BgL_opt1090z00_11))
{ /* Llib/gstregistry.scm 77 */
BgL_auxz00_623 = BgL_opt1090z00_11
; }  else 
{ 
 obj_t BgL_auxz00_626;
BgL_auxz00_626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(3580L), BGl_string1202z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1090z00_11); 
FAILURE(BgL_auxz00_626,BFALSE,BFALSE);} 
BgL_aux1094z00_56 = 
VECTOR_LENGTH(BgL_auxz00_623); } 
switch( BgL_aux1094z00_56) { case 1L : 

{ /* Llib/gstregistry.scm 77 */

return 
BGl_gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00(BgL_g1092z00_54, BFALSE);} break;case 2L : 

{ /* Llib/gstregistry.scm 77 */
 obj_t BgL_registryz00_58;
{ 
 obj_t BgL_auxz00_632;
if(
VECTORP(BgL_opt1090z00_11))
{ /* Llib/gstregistry.scm 77 */
BgL_auxz00_632 = BgL_opt1090z00_11
; }  else 
{ 
 obj_t BgL_auxz00_635;
BgL_auxz00_635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(3580L), BGl_string1202z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1090z00_11); 
FAILURE(BgL_auxz00_635,BFALSE,BFALSE);} 
BgL_registryz00_58 = 
VECTOR_REF(BgL_auxz00_632,1L); } 
{ /* Llib/gstregistry.scm 77 */

return 
BGl_gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00(BgL_g1092z00_54, BgL_registryz00_58);} } break;
default: 
return BUNSPEC;} } } } 

}



/* gst-registry-feature-list-by-plugin */
BGL_EXPORTED_DEF obj_t BGl_gstzd2registryzd2featurezd2listzd2byzd2pluginzd2zz__gstreamer_gstregistryz00(obj_t BgL_pluginz00_9, obj_t BgL_registryz00_10)
{
{ /* Llib/gstregistry.scm 77 */
{ /* Llib/gstregistry.scm 79 */
 GstRegistry * BgL_arg1123z00_59; obj_t BgL_arg1124z00_60;
{ /* Llib/gstregistry.scm 79 */
 bool_t BgL_test1265z00_642;
{ /* Llib/gstregistry.scm 79 */
 obj_t BgL_classz00_219;
BgL_classz00_219 = BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00; 
if(
BGL_OBJECTP(BgL_registryz00_10))
{ /* Llib/gstregistry.scm 79 */
 BgL_objectz00_bglt BgL_arg1827z00_221;
BgL_arg1827z00_221 = 
(BgL_objectz00_bglt)(BgL_registryz00_10); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 79 */
 long BgL_idxz00_227;
BgL_idxz00_227 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_221); 
BgL_test1265z00_642 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_227+2L))==BgL_classz00_219); }  else 
{ /* Llib/gstregistry.scm 79 */
 bool_t BgL_res1154z00_252;
{ /* Llib/gstregistry.scm 79 */
 obj_t BgL_oclassz00_235;
{ /* Llib/gstregistry.scm 79 */
 obj_t BgL_arg1834z00_243; long BgL_arg1835z00_244;
BgL_arg1834z00_243 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 79 */
 long BgL_arg1836z00_245;
BgL_arg1836z00_245 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_221); 
BgL_arg1835z00_244 = 
(BgL_arg1836z00_245-OBJECT_TYPE); } 
BgL_oclassz00_235 = 
VECTOR_REF(BgL_arg1834z00_243,BgL_arg1835z00_244); } 
{ /* Llib/gstregistry.scm 79 */
 bool_t BgL__ortest_1114z00_236;
BgL__ortest_1114z00_236 = 
(BgL_classz00_219==BgL_oclassz00_235); 
if(BgL__ortest_1114z00_236)
{ /* Llib/gstregistry.scm 79 */
BgL_res1154z00_252 = BgL__ortest_1114z00_236; }  else 
{ /* Llib/gstregistry.scm 79 */
 long BgL_odepthz00_237;
{ /* Llib/gstregistry.scm 79 */
 obj_t BgL_arg1824z00_238;
BgL_arg1824z00_238 = 
(BgL_oclassz00_235); 
BgL_odepthz00_237 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_238); } 
if(
(2L<BgL_odepthz00_237))
{ /* Llib/gstregistry.scm 79 */
 obj_t BgL_arg1822z00_240;
{ /* Llib/gstregistry.scm 79 */
 obj_t BgL_arg1823z00_241;
BgL_arg1823z00_241 = 
(BgL_oclassz00_235); 
BgL_arg1822z00_240 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_241, 2L); } 
BgL_res1154z00_252 = 
(BgL_arg1822z00_240==BgL_classz00_219); }  else 
{ /* Llib/gstregistry.scm 79 */
BgL_res1154z00_252 = ((bool_t)0); } } } } 
BgL_test1265z00_642 = BgL_res1154z00_252; } }  else 
{ /* Llib/gstregistry.scm 79 */
BgL_test1265z00_642 = ((bool_t)0)
; } } 
if(BgL_test1265z00_642)
{ /* Llib/gstregistry.scm 81 */
 GstObject * BgL_arg1126z00_63;
BgL_arg1126z00_63 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_registryz00_10))))->BgL_z42builtinz42); 
BgL_arg1123z00_59 = 
GST_REGISTRY(BgL_arg1126z00_63); }  else 
{ /* Llib/gstregistry.scm 79 */
BgL_arg1123z00_59 = 
gst_registry_get(); } } 
{ /* Llib/gstregistry.scm 84 */
 bool_t BgL_test1270z00_670;
{ /* Llib/gstregistry.scm 84 */
 obj_t BgL_classz00_253;
BgL_classz00_253 = BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00; 
if(
BGL_OBJECTP(BgL_pluginz00_9))
{ /* Llib/gstregistry.scm 84 */
 BgL_objectz00_bglt BgL_arg1827z00_255;
BgL_arg1827z00_255 = 
(BgL_objectz00_bglt)(BgL_pluginz00_9); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 84 */
 long BgL_idxz00_261;
BgL_idxz00_261 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_255); 
BgL_test1270z00_670 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_261+2L))==BgL_classz00_253); }  else 
{ /* Llib/gstregistry.scm 84 */
 bool_t BgL_res1155z00_286;
{ /* Llib/gstregistry.scm 84 */
 obj_t BgL_oclassz00_269;
{ /* Llib/gstregistry.scm 84 */
 obj_t BgL_arg1834z00_277; long BgL_arg1835z00_278;
BgL_arg1834z00_277 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 84 */
 long BgL_arg1836z00_279;
BgL_arg1836z00_279 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_255); 
BgL_arg1835z00_278 = 
(BgL_arg1836z00_279-OBJECT_TYPE); } 
BgL_oclassz00_269 = 
VECTOR_REF(BgL_arg1834z00_277,BgL_arg1835z00_278); } 
{ /* Llib/gstregistry.scm 84 */
 bool_t BgL__ortest_1114z00_270;
BgL__ortest_1114z00_270 = 
(BgL_classz00_253==BgL_oclassz00_269); 
if(BgL__ortest_1114z00_270)
{ /* Llib/gstregistry.scm 84 */
BgL_res1155z00_286 = BgL__ortest_1114z00_270; }  else 
{ /* Llib/gstregistry.scm 84 */
 long BgL_odepthz00_271;
{ /* Llib/gstregistry.scm 84 */
 obj_t BgL_arg1824z00_272;
BgL_arg1824z00_272 = 
(BgL_oclassz00_269); 
BgL_odepthz00_271 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_272); } 
if(
(2L<BgL_odepthz00_271))
{ /* Llib/gstregistry.scm 84 */
 obj_t BgL_arg1822z00_274;
{ /* Llib/gstregistry.scm 84 */
 obj_t BgL_arg1823z00_275;
BgL_arg1823z00_275 = 
(BgL_oclassz00_269); 
BgL_arg1822z00_274 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_275, 2L); } 
BgL_res1155z00_286 = 
(BgL_arg1822z00_274==BgL_classz00_253); }  else 
{ /* Llib/gstregistry.scm 84 */
BgL_res1155z00_286 = ((bool_t)0); } } } } 
BgL_test1270z00_670 = BgL_res1155z00_286; } }  else 
{ /* Llib/gstregistry.scm 84 */
BgL_test1270z00_670 = ((bool_t)0)
; } } 
if(BgL_test1270z00_670)
{ /* Llib/gstregistry.scm 84 */
BgL_arg1124z00_60 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_pluginz00_9)), 
(int)(0L)); }  else 
{ /* Llib/gstregistry.scm 84 */
if(
STRINGP(BgL_pluginz00_9))
{ /* Llib/gstregistry.scm 86 */
BgL_arg1124z00_60 = BgL_pluginz00_9; }  else 
{ /* Llib/gstregistry.scm 86 */
BgL_arg1124z00_60 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1203z00zz__gstreamer_gstregistryz00, BGl_string1204z00zz__gstreamer_gstregistryz00, BgL_pluginz00_9); } } } 
{ /* Llib/gstregistry.scm 78 */
 char * BgL_tmpz00_700;
BgL_tmpz00_700 = 
BSTRING_TO_STRING(BgL_arg1124z00_60); 
return 
bgl_gst_registry_get_feature_list_by_plugin(BgL_arg1123z00_59, BgL_tmpz00_700);} } } 

}



/* _gst-registry-find-plugin */
obj_t BGl__gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00(obj_t BgL_env1096z00_16, obj_t BgL_opt1095z00_15)
{
{ /* Llib/gstregistry.scm 96 */
{ /* Llib/gstregistry.scm 96 */
 obj_t BgL_g1097z00_67;
{ 
 obj_t BgL_auxz00_703;
if(
VECTORP(BgL_opt1095z00_15))
{ /* Llib/gstregistry.scm 96 */
BgL_auxz00_703 = BgL_opt1095z00_15
; }  else 
{ 
 obj_t BgL_auxz00_706;
BgL_auxz00_706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4296L), BGl_string1205z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1095z00_15); 
FAILURE(BgL_auxz00_706,BFALSE,BFALSE);} 
BgL_g1097z00_67 = 
VECTOR_REF(BgL_auxz00_703,0L); } 
{ /* Llib/gstregistry.scm 96 */
 long BgL_aux1099z00_69;
{ 
 obj_t BgL_auxz00_711;
if(
VECTORP(BgL_opt1095z00_15))
{ /* Llib/gstregistry.scm 96 */
BgL_auxz00_711 = BgL_opt1095z00_15
; }  else 
{ 
 obj_t BgL_auxz00_714;
BgL_auxz00_714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4296L), BGl_string1205z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1095z00_15); 
FAILURE(BgL_auxz00_714,BFALSE,BFALSE);} 
BgL_aux1099z00_69 = 
VECTOR_LENGTH(BgL_auxz00_711); } 
switch( BgL_aux1099z00_69) { case 1L : 

{ /* Llib/gstregistry.scm 96 */

{ /* Llib/gstregistry.scm 96 */
 char * BgL_auxz00_719;
{ /* Llib/gstregistry.scm 96 */
 obj_t BgL_tmpz00_720;
if(
STRINGP(BgL_g1097z00_67))
{ /* Llib/gstregistry.scm 96 */
BgL_tmpz00_720 = BgL_g1097z00_67
; }  else 
{ 
 obj_t BgL_auxz00_723;
BgL_auxz00_723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4296L), BGl_string1205z00zz__gstreamer_gstregistryz00, BGl_string1206z00zz__gstreamer_gstregistryz00, BgL_g1097z00_67); 
FAILURE(BgL_auxz00_723,BFALSE,BFALSE);} 
BgL_auxz00_719 = 
BSTRING_TO_STRING(BgL_tmpz00_720); } 
return 
BGl_gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00(BgL_auxz00_719, BFALSE);} } break;case 2L : 

{ /* Llib/gstregistry.scm 96 */
 obj_t BgL_registryz00_71;
{ 
 obj_t BgL_auxz00_729;
if(
VECTORP(BgL_opt1095z00_15))
{ /* Llib/gstregistry.scm 96 */
BgL_auxz00_729 = BgL_opt1095z00_15
; }  else 
{ 
 obj_t BgL_auxz00_732;
BgL_auxz00_732 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4296L), BGl_string1205z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1095z00_15); 
FAILURE(BgL_auxz00_732,BFALSE,BFALSE);} 
BgL_registryz00_71 = 
VECTOR_REF(BgL_auxz00_729,1L); } 
{ /* Llib/gstregistry.scm 96 */

{ /* Llib/gstregistry.scm 96 */
 char * BgL_auxz00_737;
{ /* Llib/gstregistry.scm 96 */
 obj_t BgL_tmpz00_738;
if(
STRINGP(BgL_g1097z00_67))
{ /* Llib/gstregistry.scm 96 */
BgL_tmpz00_738 = BgL_g1097z00_67
; }  else 
{ 
 obj_t BgL_auxz00_741;
BgL_auxz00_741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4296L), BGl_string1205z00zz__gstreamer_gstregistryz00, BGl_string1206z00zz__gstreamer_gstregistryz00, BgL_g1097z00_67); 
FAILURE(BgL_auxz00_741,BFALSE,BFALSE);} 
BgL_auxz00_737 = 
BSTRING_TO_STRING(BgL_tmpz00_738); } 
return 
BGl_gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00(BgL_auxz00_737, BgL_registryz00_71);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* gst-registry-find-plugin */
BGL_EXPORTED_DEF obj_t BGl_gstzd2registryzd2findzd2pluginzd2zz__gstreamer_gstregistryz00(char * BgL_namez00_13, obj_t BgL_registryz00_14)
{
{ /* Llib/gstregistry.scm 96 */
{ /* Llib/gstregistry.scm 97 */
 GstPlugin * BgL_pluginz00_72;
{ /* Llib/gstregistry.scm 98 */
 GstRegistry * BgL_arg1130z00_74;
{ /* Llib/gstregistry.scm 98 */
 bool_t BgL_test1282z00_748;
{ /* Llib/gstregistry.scm 98 */
 obj_t BgL_classz00_287;
BgL_classz00_287 = BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00; 
if(
BGL_OBJECTP(BgL_registryz00_14))
{ /* Llib/gstregistry.scm 98 */
 BgL_objectz00_bglt BgL_arg1827z00_289;
BgL_arg1827z00_289 = 
(BgL_objectz00_bglt)(BgL_registryz00_14); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 98 */
 long BgL_idxz00_295;
BgL_idxz00_295 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_289); 
BgL_test1282z00_748 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_295+2L))==BgL_classz00_287); }  else 
{ /* Llib/gstregistry.scm 98 */
 bool_t BgL_res1156z00_320;
{ /* Llib/gstregistry.scm 98 */
 obj_t BgL_oclassz00_303;
{ /* Llib/gstregistry.scm 98 */
 obj_t BgL_arg1834z00_311; long BgL_arg1835z00_312;
BgL_arg1834z00_311 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 98 */
 long BgL_arg1836z00_313;
BgL_arg1836z00_313 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_289); 
BgL_arg1835z00_312 = 
(BgL_arg1836z00_313-OBJECT_TYPE); } 
BgL_oclassz00_303 = 
VECTOR_REF(BgL_arg1834z00_311,BgL_arg1835z00_312); } 
{ /* Llib/gstregistry.scm 98 */
 bool_t BgL__ortest_1114z00_304;
BgL__ortest_1114z00_304 = 
(BgL_classz00_287==BgL_oclassz00_303); 
if(BgL__ortest_1114z00_304)
{ /* Llib/gstregistry.scm 98 */
BgL_res1156z00_320 = BgL__ortest_1114z00_304; }  else 
{ /* Llib/gstregistry.scm 98 */
 long BgL_odepthz00_305;
{ /* Llib/gstregistry.scm 98 */
 obj_t BgL_arg1824z00_306;
BgL_arg1824z00_306 = 
(BgL_oclassz00_303); 
BgL_odepthz00_305 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_306); } 
if(
(2L<BgL_odepthz00_305))
{ /* Llib/gstregistry.scm 98 */
 obj_t BgL_arg1822z00_308;
{ /* Llib/gstregistry.scm 98 */
 obj_t BgL_arg1823z00_309;
BgL_arg1823z00_309 = 
(BgL_oclassz00_303); 
BgL_arg1822z00_308 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_309, 2L); } 
BgL_res1156z00_320 = 
(BgL_arg1822z00_308==BgL_classz00_287); }  else 
{ /* Llib/gstregistry.scm 98 */
BgL_res1156z00_320 = ((bool_t)0); } } } } 
BgL_test1282z00_748 = BgL_res1156z00_320; } }  else 
{ /* Llib/gstregistry.scm 98 */
BgL_test1282z00_748 = ((bool_t)0)
; } } 
if(BgL_test1282z00_748)
{ /* Llib/gstregistry.scm 100 */
 GstObject * BgL_arg1132z00_77;
BgL_arg1132z00_77 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_registryz00_14))))->BgL_z42builtinz42); 
BgL_arg1130z00_74 = 
GST_REGISTRY(BgL_arg1132z00_77); }  else 
{ /* Llib/gstregistry.scm 98 */
BgL_arg1130z00_74 = 
gst_registry_get(); } } 
BgL_pluginz00_72 = 
gst_registry_find_plugin(BgL_arg1130z00_74, BgL_namez00_13); } 
if(
(bool_t)!(BgL_pluginz00_72))
{ /* Llib/gstregistry.scm 103 */
return BFALSE;}  else 
{ /* Llib/gstregistry.scm 103 */
return 
bgl_gst_plugin_new(BgL_pluginz00_72, BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00);} } } 

}



/* _gst-registry-find-feature */
obj_t BGl__gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00(obj_t BgL_env1101z00_21, obj_t BgL_opt1100z00_20)
{
{ /* Llib/gstregistry.scm 109 */
{ /* Llib/gstregistry.scm 109 */
 obj_t BgL_g1102z00_78; obj_t BgL_g1103z00_79;
{ 
 obj_t BgL_auxz00_780;
if(
VECTORP(BgL_opt1100z00_20))
{ /* Llib/gstregistry.scm 109 */
BgL_auxz00_780 = BgL_opt1100z00_20
; }  else 
{ 
 obj_t BgL_auxz00_783;
BgL_auxz00_783 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1100z00_20); 
FAILURE(BgL_auxz00_783,BFALSE,BFALSE);} 
BgL_g1102z00_78 = 
VECTOR_REF(BgL_auxz00_780,0L); } 
{ 
 obj_t BgL_auxz00_788;
if(
VECTORP(BgL_opt1100z00_20))
{ /* Llib/gstregistry.scm 109 */
BgL_auxz00_788 = BgL_opt1100z00_20
; }  else 
{ 
 obj_t BgL_auxz00_791;
BgL_auxz00_791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1100z00_20); 
FAILURE(BgL_auxz00_791,BFALSE,BFALSE);} 
BgL_g1103z00_79 = 
VECTOR_REF(BgL_auxz00_788,1L); } 
{ /* Llib/gstregistry.scm 109 */
 long BgL_aux1105z00_81;
{ 
 obj_t BgL_auxz00_796;
if(
VECTORP(BgL_opt1100z00_20))
{ /* Llib/gstregistry.scm 109 */
BgL_auxz00_796 = BgL_opt1100z00_20
; }  else 
{ 
 obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1100z00_20); 
FAILURE(BgL_auxz00_799,BFALSE,BFALSE);} 
BgL_aux1105z00_81 = 
VECTOR_LENGTH(BgL_auxz00_796); } 
switch( BgL_aux1105z00_81) { case 2L : 

{ /* Llib/gstregistry.scm 109 */

{ /* Llib/gstregistry.scm 109 */
 long BgL_auxz00_813; char * BgL_auxz00_804;
{ /* Llib/gstregistry.scm 109 */
 obj_t BgL_tmpz00_814;
if(
INTEGERP(BgL_g1103z00_79))
{ /* Llib/gstregistry.scm 109 */
BgL_tmpz00_814 = BgL_g1103z00_79
; }  else 
{ 
 obj_t BgL_auxz00_817;
BgL_auxz00_817 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1208z00zz__gstreamer_gstregistryz00, BgL_g1103z00_79); 
FAILURE(BgL_auxz00_817,BFALSE,BFALSE);} 
BgL_auxz00_813 = 
(long)CINT(BgL_tmpz00_814); } 
{ /* Llib/gstregistry.scm 109 */
 obj_t BgL_tmpz00_805;
if(
STRINGP(BgL_g1102z00_78))
{ /* Llib/gstregistry.scm 109 */
BgL_tmpz00_805 = BgL_g1102z00_78
; }  else 
{ 
 obj_t BgL_auxz00_808;
BgL_auxz00_808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1206z00zz__gstreamer_gstregistryz00, BgL_g1102z00_78); 
FAILURE(BgL_auxz00_808,BFALSE,BFALSE);} 
BgL_auxz00_804 = 
BSTRING_TO_STRING(BgL_tmpz00_805); } 
return 
BGl_gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00(BgL_auxz00_804, BgL_auxz00_813, BFALSE);} } break;case 3L : 

{ /* Llib/gstregistry.scm 109 */
 obj_t BgL_registryz00_83;
{ 
 obj_t BgL_auxz00_823;
if(
VECTORP(BgL_opt1100z00_20))
{ /* Llib/gstregistry.scm 109 */
BgL_auxz00_823 = BgL_opt1100z00_20
; }  else 
{ 
 obj_t BgL_auxz00_826;
BgL_auxz00_826 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1200z00zz__gstreamer_gstregistryz00, BgL_opt1100z00_20); 
FAILURE(BgL_auxz00_826,BFALSE,BFALSE);} 
BgL_registryz00_83 = 
VECTOR_REF(BgL_auxz00_823,2L); } 
{ /* Llib/gstregistry.scm 109 */

{ /* Llib/gstregistry.scm 109 */
 long BgL_auxz00_840; char * BgL_auxz00_831;
{ /* Llib/gstregistry.scm 109 */
 obj_t BgL_tmpz00_841;
if(
INTEGERP(BgL_g1103z00_79))
{ /* Llib/gstregistry.scm 109 */
BgL_tmpz00_841 = BgL_g1103z00_79
; }  else 
{ 
 obj_t BgL_auxz00_844;
BgL_auxz00_844 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1208z00zz__gstreamer_gstregistryz00, BgL_g1103z00_79); 
FAILURE(BgL_auxz00_844,BFALSE,BFALSE);} 
BgL_auxz00_840 = 
(long)CINT(BgL_tmpz00_841); } 
{ /* Llib/gstregistry.scm 109 */
 obj_t BgL_tmpz00_832;
if(
STRINGP(BgL_g1102z00_78))
{ /* Llib/gstregistry.scm 109 */
BgL_tmpz00_832 = BgL_g1102z00_78
; }  else 
{ 
 obj_t BgL_auxz00_835;
BgL_auxz00_835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1198z00zz__gstreamer_gstregistryz00, 
BINT(4880L), BGl_string1207z00zz__gstreamer_gstregistryz00, BGl_string1206z00zz__gstreamer_gstregistryz00, BgL_g1102z00_78); 
FAILURE(BgL_auxz00_835,BFALSE,BFALSE);} 
BgL_auxz00_831 = 
BSTRING_TO_STRING(BgL_tmpz00_832); } 
return 
BGl_gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00(BgL_auxz00_831, BgL_auxz00_840, BgL_registryz00_83);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* gst-registry-find-feature */
BGL_EXPORTED_DEF obj_t BGl_gstzd2registryzd2findzd2featurezd2zz__gstreamer_gstregistryz00(char * BgL_namez00_17, long BgL_typez00_18, obj_t BgL_registryz00_19)
{
{ /* Llib/gstregistry.scm 109 */
{ /* Llib/gstregistry.scm 110 */
 GstPluginFeature * BgL_featurez00_84;
{ /* Llib/gstregistry.scm 111 */
 GstRegistry * BgL_arg1136z00_86;
{ /* Llib/gstregistry.scm 111 */
 bool_t BgL_test1301z00_851;
{ /* Llib/gstregistry.scm 111 */
 obj_t BgL_classz00_321;
BgL_classz00_321 = BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00; 
if(
BGL_OBJECTP(BgL_registryz00_19))
{ /* Llib/gstregistry.scm 111 */
 BgL_objectz00_bglt BgL_arg1827z00_323;
BgL_arg1827z00_323 = 
(BgL_objectz00_bglt)(BgL_registryz00_19); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstregistry.scm 111 */
 long BgL_idxz00_329;
BgL_idxz00_329 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_323); 
BgL_test1301z00_851 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_329+2L))==BgL_classz00_321); }  else 
{ /* Llib/gstregistry.scm 111 */
 bool_t BgL_res1157z00_354;
{ /* Llib/gstregistry.scm 111 */
 obj_t BgL_oclassz00_337;
{ /* Llib/gstregistry.scm 111 */
 obj_t BgL_arg1834z00_345; long BgL_arg1835z00_346;
BgL_arg1834z00_345 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/gstregistry.scm 111 */
 long BgL_arg1836z00_347;
BgL_arg1836z00_347 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_323); 
BgL_arg1835z00_346 = 
(BgL_arg1836z00_347-OBJECT_TYPE); } 
BgL_oclassz00_337 = 
VECTOR_REF(BgL_arg1834z00_345,BgL_arg1835z00_346); } 
{ /* Llib/gstregistry.scm 111 */
 bool_t BgL__ortest_1114z00_338;
BgL__ortest_1114z00_338 = 
(BgL_classz00_321==BgL_oclassz00_337); 
if(BgL__ortest_1114z00_338)
{ /* Llib/gstregistry.scm 111 */
BgL_res1157z00_354 = BgL__ortest_1114z00_338; }  else 
{ /* Llib/gstregistry.scm 111 */
 long BgL_odepthz00_339;
{ /* Llib/gstregistry.scm 111 */
 obj_t BgL_arg1824z00_340;
BgL_arg1824z00_340 = 
(BgL_oclassz00_337); 
BgL_odepthz00_339 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_340); } 
if(
(2L<BgL_odepthz00_339))
{ /* Llib/gstregistry.scm 111 */
 obj_t BgL_arg1822z00_342;
{ /* Llib/gstregistry.scm 111 */
 obj_t BgL_arg1823z00_343;
BgL_arg1823z00_343 = 
(BgL_oclassz00_337); 
BgL_arg1822z00_342 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_343, 2L); } 
BgL_res1157z00_354 = 
(BgL_arg1822z00_342==BgL_classz00_321); }  else 
{ /* Llib/gstregistry.scm 111 */
BgL_res1157z00_354 = ((bool_t)0); } } } } 
BgL_test1301z00_851 = BgL_res1157z00_354; } }  else 
{ /* Llib/gstregistry.scm 111 */
BgL_test1301z00_851 = ((bool_t)0)
; } } 
if(BgL_test1301z00_851)
{ /* Llib/gstregistry.scm 113 */
 GstObject * BgL_arg1138z00_89;
BgL_arg1138z00_89 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_registryz00_19))))->BgL_z42builtinz42); 
BgL_arg1136z00_86 = 
GST_REGISTRY(BgL_arg1138z00_89); }  else 
{ /* Llib/gstregistry.scm 111 */
BgL_arg1136z00_86 = 
gst_registry_get(); } } 
BgL_featurez00_84 = 
gst_registry_find_feature(BgL_arg1136z00_86, BgL_namez00_17, BgL_typez00_18); } 
if(
(bool_t)!(BgL_featurez00_84))
{ /* Llib/gstregistry.scm 117 */
return BFALSE;}  else 
{ /* Llib/gstregistry.scm 117 */
return 
bgl_gst_plugin_feature_new(BgL_featurez00_84, BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
{ /* Llib/gstregistry.scm 29 */
 obj_t BgL_arg1143z00_93; obj_t BgL_arg1144z00_94;
{ /* Llib/gstregistry.scm 29 */
 obj_t BgL_v1080z00_108;
BgL_v1080z00_108 = 
create_vector(0L); 
BgL_arg1143z00_93 = BgL_v1080z00_108; } 
{ /* Llib/gstregistry.scm 29 */
 obj_t BgL_v1081z00_109;
BgL_v1081z00_109 = 
create_vector(0L); 
BgL_arg1144z00_94 = BgL_v1081z00_109; } 
return ( 
BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, 15701L, BGl_proc1211z00zz__gstreamer_gstregistryz00, BGl_proc1210z00zz__gstreamer_gstregistryz00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1209z00zz__gstreamer_gstregistryz00, BFALSE, BgL_arg1143z00_93, BgL_arg1144z00_94), BUNSPEC) ;} } 

}



/* &<@anonymous:1150> */
obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gstregistryz00(obj_t BgL_envz00_371, obj_t BgL_new1059z00_372)
{
{ /* Llib/gstregistry.scm 29 */
{ 
 BgL_gstzd2registryzd2_bglt BgL_auxz00_890;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_new1059z00_372))))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_new1059z00_372))))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2registryzd2_bglt)BgL_new1059z00_372))))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_890 = 
((BgL_gstzd2registryzd2_bglt)BgL_new1059z00_372); 
return 
((obj_t)BgL_auxz00_890);} } 

}



/* &lambda1148 */
BgL_gstzd2registryzd2_bglt BGl_z62lambda1148z62zz__gstreamer_gstregistryz00(obj_t BgL_envz00_373)
{
{ /* Llib/gstregistry.scm 29 */
{ /* Llib/gstregistry.scm 29 */
 BgL_gstzd2registryzd2_bglt BgL_new1058z00_430;
BgL_new1058z00_430 = 
((BgL_gstzd2registryzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2registryzd2_bgl) ))); 
{ /* Llib/gstregistry.scm 29 */
 long BgL_arg1149z00_431;
BgL_arg1149z00_431 = 
BGL_CLASS_NUM(BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_430), BgL_arg1149z00_431); } 
return BgL_new1058z00_430;} } 

}



/* &lambda1145 */
BgL_gstzd2registryzd2_bglt BGl_z62lambda1145z62zz__gstreamer_gstregistryz00(obj_t BgL_envz00_374, obj_t BgL_z42builtin1055z42_375, obj_t BgL_z42finaliza7er1056ze5_376, obj_t BgL_z52closures1057z52_377)
{
{ /* Llib/gstregistry.scm 29 */
{ /* Llib/gstregistry.scm 29 */
 GstObject * BgL_z42builtin1055z42_432;
BgL_z42builtin1055z42_432 = 
FOREIGN_TO_COBJ(BgL_z42builtin1055z42_375); 
{ /* Llib/gstregistry.scm 29 */
 BgL_gstzd2registryzd2_bglt BgL_new1074z00_434;
{ /* Llib/gstregistry.scm 29 */
 BgL_gstzd2registryzd2_bglt BgL_new1073z00_435;
BgL_new1073z00_435 = 
((BgL_gstzd2registryzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2registryzd2_bgl) ))); 
{ /* Llib/gstregistry.scm 29 */
 long BgL_arg1147z00_436;
BgL_arg1147z00_436 = 
BGL_CLASS_NUM(BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_435), BgL_arg1147z00_436); } 
BgL_new1074z00_434 = BgL_new1073z00_435; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1074z00_434)))->BgL_z42builtinz42)=((GstObject *)BgL_z42builtin1055z42_432),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1074z00_434)))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1056ze5_376),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1074z00_434)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_z52closures1057z52_377)),BUNSPEC); 
{ /* Llib/gstregistry.scm 29 */
 obj_t BgL_fun1146z00_437;
BgL_fun1146z00_437 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2registryzd2zz__gstreamer_gstregistryz00); 
BGL_PROCEDURE_CALL1(BgL_fun1146z00_437, 
((obj_t)BgL_new1074z00_434)); } 
return BgL_new1074z00_434;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstregistryz00(void)
{
{ /* Llib/gstregistry.scm 15 */
BGl_modulezd2initializa7ationz75zz__gstreamer_gstpadz00(22461199L, 
BSTRING_TO_STRING(BGl_string1212z00zz__gstreamer_gstregistryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginz00(314571843L, 
BSTRING_TO_STRING(BGl_string1212z00zz__gstreamer_gstregistryz00));} 

}

#ifdef __cplusplus
}
#endif
