/*===========================================================================*/
/*   (Llib/gstpluginfeature.scm)                                             */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread -DWITH_GZFILEOP -copt -fPIC -copt -IClib Llib/gstpluginfeature.scm -o objs/gstpluginfeature.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___GSTREAMER_GSTPLUGINFEATURE_TYPE_DEFINITIONS
#define BGL___GSTREAMER_GSTPLUGINFEATURE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;

typedef struct BgL_gstzd2pluginzd2featurez00_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2pluginzd2featurez00_bglt;


#endif // BGL___GSTREAMER_GSTPLUGINFEATURE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31121ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstpluginfeaturez00(void);
BGL_EXPORTED_DEF obj_t BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31133ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstpluginfeaturez00(void);
BGL_EXPORTED_DECL obj_t bgl_gst_plugin_feature_new(GstPluginFeature *, obj_t);
extern obj_t BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstpluginfeaturez00(void);
static obj_t BGl_z62zc3z04anonymousza31081ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31091ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31092ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31086ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31087ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t);
static BgL_gstzd2pluginzd2featurez00_bglt BGl_z62lambda1076z62zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t, obj_t);
static BgL_gstzd2pluginzd2featurez00_bglt BGl_z62lambda1079z62zz__gstreamer_gstpluginfeaturez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62zc3z04anonymousza31097ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31098ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstpluginfeaturez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginfeaturez00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginfeaturez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginfeaturez00(void);
static obj_t BGl_z62z42makezd2gstzd2pluginzd2featurezf2zz__gstreamer_gstpluginfeaturez00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1149z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1166za7, BGl_z62zc3z04anonymousza31087ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1150z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1167za7, BGl_z62zc3z04anonymousza31086ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1151z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1168za7, BGl_z62zc3z04anonymousza31092ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1152z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1169za7, BGl_z62zc3z04anonymousza31091ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1153z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1170za7, BGl_z62zc3z04anonymousza31098ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1154z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1171za7, BGl_z62zc3z04anonymousza31097ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1155z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1172za7, BGl_z62zc3z04anonymousza31103ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1156z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1173za7, BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1163z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_string1163za700za7za7_1174za7, "__gstreamer_gstpluginfeature", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1157z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1175za7, BGl_z62zc3z04anonymousza31121ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1164z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_string1164za700za7za7_1176za7, "__gstreamer_gstpluginfeature gst-plugin-feature uint rank plugin-name string name ", 82 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1158z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1177za7, BGl_z62zc3z04anonymousza31133ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1159z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1178za7, BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1160z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za7c3za704anonymo1179za7, BGl_z62zc3z04anonymousza31081ze3ze5zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1161z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762lambda1079za7621180z00, BGl_z62lambda1079z62zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1162z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762lambda1076za7621181z00, BGl_z62lambda1076z62zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2gstzd2pluginzd2featurezd2envz42zz__gstreamer_gstpluginfeaturez00, BgL_bgl_za762za742makeza7d2gst1182za7, BGl_z62z42makezd2gstzd2pluginzd2featurezf2zz__gstreamer_gstpluginfeaturez00, 0L, BUNSPEC, 2 );
extern obj_t BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00;
DEFINE_STRING( BGl_string1146z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_string1146za700za7za7_1183za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/gstreamer/src/Llib/gstpluginfeature.scm", 95 );
DEFINE_STRING( BGl_string1147z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_string1147za700za7za7_1184za7, "&$make-gst-plugin-feature", 25 );
DEFINE_STRING( BGl_string1148z00zz__gstreamer_gstpluginfeaturez00, BgL_bgl_string1148za700za7za7_1185za7, "void*", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00) );
ADD_ROOT( (void *)(&BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00(long BgL_checksumz00_263, char * BgL_fromz00_264)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginfeaturez00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginfeaturez00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstpluginfeaturez00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginfeaturez00(); 
BGl_objectzd2initzd2zz__gstreamer_gstpluginfeaturez00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gstpluginfeaturez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__gstreamer_gstpluginfeature"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__gstreamer_gstpluginfeature"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__gstreamer_gstpluginfeature"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__gstreamer_gstpluginfeature"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__gstreamer_gstpluginfeature"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__gstreamer_gstpluginfeature"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
{ /* Llib/gstpluginfeature.scm 15 */
 obj_t BgL_cportz00_233;
{ /* Llib/gstpluginfeature.scm 15 */
 obj_t BgL_stringz00_240;
BgL_stringz00_240 = BGl_string1164z00zz__gstreamer_gstpluginfeaturez00; 
{ /* Llib/gstpluginfeature.scm 15 */
 obj_t BgL_startz00_241;
BgL_startz00_241 = 
BINT(0L); 
{ /* Llib/gstpluginfeature.scm 15 */
 obj_t BgL_endz00_242;
BgL_endz00_242 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_240))); 
{ /* Llib/gstpluginfeature.scm 15 */

BgL_cportz00_233 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_240, BgL_startz00_241, BgL_endz00_242); } } } } 
{ 
 long BgL_iz00_234;
BgL_iz00_234 = 6L; 
BgL_loopz00_235:
if(
(BgL_iz00_234==(-1L)))
{ /* Llib/gstpluginfeature.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstpluginfeature.scm 15 */
{ /* Llib/gstpluginfeature.scm 15 */
 obj_t BgL_arg1165z00_236;
{ /* Llib/gstpluginfeature.scm 15 */

{ /* Llib/gstpluginfeature.scm 15 */
 obj_t BgL_locationz00_238;
BgL_locationz00_238 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstpluginfeature.scm 15 */

BgL_arg1165z00_236 = 
BGl_readz00zz__readerz00(BgL_cportz00_233, BgL_locationz00_238); } } } 
{ /* Llib/gstpluginfeature.scm 15 */
 int BgL_tmpz00_289;
BgL_tmpz00_289 = 
(int)(BgL_iz00_234); 
CNST_TABLE_SET(BgL_tmpz00_289, BgL_arg1165z00_236); } } 
{ /* Llib/gstpluginfeature.scm 15 */
 int BgL_auxz00_239;
BgL_auxz00_239 = 
(int)(
(BgL_iz00_234-1L)); 
{ 
 long BgL_iz00_294;
BgL_iz00_294 = 
(long)(BgL_auxz00_239); 
BgL_iz00_234 = BgL_iz00_294; 
goto BgL_loopz00_235;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* $make-gst-plugin-feature */
BGL_EXPORTED_DEF obj_t bgl_gst_plugin_feature_new(GstPluginFeature * BgL_pluginzd2featurezd2_3, obj_t BgL_finaliza7erza7_4)
{
{ /* Llib/gstpluginfeature.scm 56 */
{ /* Llib/gstpluginfeature.scm 57 */
 BgL_gstzd2pluginzd2featurez00_bglt BgL_new1054z00_15;
{ /* Llib/gstpluginfeature.scm 58 */
 BgL_gstzd2pluginzd2featurez00_bglt BgL_new1053z00_17;
BgL_new1053z00_17 = 
((BgL_gstzd2pluginzd2featurez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2featurez00_bgl) ))); 
{ /* Llib/gstpluginfeature.scm 58 */
 long BgL_arg1069z00_18;
BgL_arg1069z00_18 = 
BGL_CLASS_NUM(BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_17), BgL_arg1069z00_18); } 
BgL_new1054z00_15 = BgL_new1053z00_17; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1054z00_15)))->BgL_z42builtinz42)=((GstObject *)
(GstObject *)(BgL_pluginzd2featurezd2_3)),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1054z00_15)))->BgL_z42finaliza7erze5)=((obj_t)BgL_finaliza7erza7_4),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1054z00_15)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/gstpluginfeature.scm 57 */
 obj_t BgL_fun1068z00_16;
BgL_fun1068z00_16 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00); 
BGL_PROCEDURE_CALL1(BgL_fun1068z00_16, 
((obj_t)BgL_new1054z00_15)); } 
return 
((obj_t)BgL_new1054z00_15);} } 

}



/* &$make-gst-plugin-feature */
obj_t BGl_z62z42makezd2gstzd2pluginzd2featurezf2zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_178, obj_t BgL_pluginzd2featurezd2_179, obj_t BgL_finaliza7erza7_180)
{
{ /* Llib/gstpluginfeature.scm 56 */
{ /* Llib/gstpluginfeature.scm 57 */
 GstPluginFeature * BgL_auxz00_315;
if(
FOREIGNP(BgL_pluginzd2featurezd2_179))
{ /* Llib/gstpluginfeature.scm 57 */
BgL_auxz00_315 = 
FOREIGN_TO_COBJ(BgL_pluginzd2featurezd2_179)
; }  else 
{ 
 obj_t BgL_auxz00_319;
BgL_auxz00_319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1146z00zz__gstreamer_gstpluginfeaturez00, 
BINT(2429L), BGl_string1147z00zz__gstreamer_gstpluginfeaturez00, BGl_string1148z00zz__gstreamer_gstpluginfeaturez00, BgL_pluginzd2featurezd2_179); 
FAILURE(BgL_auxz00_319,BFALSE,BFALSE);} 
return 
bgl_gst_plugin_feature_new(BgL_auxz00_315, BgL_finaliza7erza7_180);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_arg1073z00_22; obj_t BgL_arg1075z00_23;
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_v1062z00_37;
BgL_v1062z00_37 = 
create_vector(3L); 
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_arg1082z00_38;
BgL_arg1082z00_38 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_proc1150z00zz__gstreamer_gstpluginfeaturez00, BGl_proc1149z00zz__gstreamer_gstpluginfeaturez00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1062z00_37,0L,BgL_arg1082z00_38); } 
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_arg1088z00_48;
BgL_arg1088z00_48 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), BGl_proc1152z00zz__gstreamer_gstpluginfeaturez00, BGl_proc1151z00zz__gstreamer_gstpluginfeaturez00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1062z00_37,1L,BgL_arg1088z00_48); } 
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_arg1093z00_58;
BgL_arg1093z00_58 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(3)), BGl_proc1154z00zz__gstreamer_gstpluginfeaturez00, BGl_proc1153z00zz__gstreamer_gstpluginfeaturez00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(4))); 
VECTOR_SET(BgL_v1062z00_37,2L,BgL_arg1093z00_58); } 
BgL_arg1073z00_22 = BgL_v1062z00_37; } 
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_v1063z00_68;
BgL_v1063z00_68 = 
create_vector(3L); 
{ /* Llib/gstpluginfeature.scm 24 */
 obj_t BgL_arg1099z00_69;
{ /* Llib/gstpluginfeature.scm 24 */
 obj_t BgL_arg1100z00_70;
BgL_arg1100z00_70 = 
MAKE_YOUNG_PAIR(BGl_proc1155z00zz__gstreamer_gstpluginfeaturez00, BGl_proc1156z00zz__gstreamer_gstpluginfeaturez00); 
BgL_arg1099z00_69 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg1100z00_70); } 
VECTOR_SET(BgL_v1063z00_68,0L,BgL_arg1099z00_69); } 
{ /* Llib/gstpluginfeature.scm 35 */
 obj_t BgL_arg1118z00_95;
{ /* Llib/gstpluginfeature.scm 35 */
 obj_t BgL_arg1119z00_96;
BgL_arg1119z00_96 = 
MAKE_YOUNG_PAIR(BGl_proc1157z00zz__gstreamer_gstpluginfeaturez00, BFALSE); 
BgL_arg1118z00_95 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg1119z00_96); } 
VECTOR_SET(BgL_v1063z00_68,1L,BgL_arg1118z00_95); } 
{ /* Llib/gstpluginfeature.scm 40 */
 obj_t BgL_arg1125z00_108;
{ /* Llib/gstpluginfeature.scm 40 */
 obj_t BgL_arg1126z00_109;
BgL_arg1126z00_109 = 
MAKE_YOUNG_PAIR(BGl_proc1158z00zz__gstreamer_gstpluginfeaturez00, BGl_proc1159z00zz__gstreamer_gstpluginfeaturez00); 
BgL_arg1125z00_108 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg1126z00_109); } 
VECTOR_SET(BgL_v1063z00_68,2L,BgL_arg1125z00_108); } 
BgL_arg1075z00_23 = BgL_v1063z00_68; } 
return ( 
BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(5)), 
((obj_t)
CNST_TABLE_REF(6)), BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, 52423L, BGl_proc1162z00zz__gstreamer_gstpluginfeaturez00, BGl_proc1161z00zz__gstreamer_gstpluginfeaturez00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1160z00zz__gstreamer_gstpluginfeaturez00, BFALSE, BgL_arg1073z00_22, BgL_arg1075z00_23), BUNSPEC) ;} } 

}



/* &<@anonymous:1081> */
obj_t BGl_z62zc3z04anonymousza31081ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_195, obj_t BgL_new1052z00_196)
{
{ /* Llib/gstpluginfeature.scm 21 */
{ 
 BgL_gstzd2pluginzd2featurez00_bglt BgL_auxz00_361;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_new1052z00_196))))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_new1052z00_196))))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_new1052z00_196))))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_361 = 
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_new1052z00_196); 
return 
((obj_t)BgL_auxz00_361);} } 

}



/* &lambda1079 */
BgL_gstzd2pluginzd2featurez00_bglt BGl_z62lambda1079z62zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_197)
{
{ /* Llib/gstpluginfeature.scm 21 */
{ /* Llib/gstpluginfeature.scm 21 */
 BgL_gstzd2pluginzd2featurez00_bglt BgL_new1051z00_245;
BgL_new1051z00_245 = 
((BgL_gstzd2pluginzd2featurez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2featurez00_bgl) ))); 
{ /* Llib/gstpluginfeature.scm 21 */
 long BgL_arg1080z00_246;
BgL_arg1080z00_246 = 
BGL_CLASS_NUM(BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_245), BgL_arg1080z00_246); } 
return BgL_new1051z00_245;} } 

}



/* &lambda1076 */
BgL_gstzd2pluginzd2featurez00_bglt BGl_z62lambda1076z62zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_198, obj_t BgL_z42builtin1048z42_199, obj_t BgL_z42finaliza7er1049ze5_200, obj_t BgL_z52closures1050z52_201)
{
{ /* Llib/gstpluginfeature.scm 21 */
{ /* Llib/gstpluginfeature.scm 21 */
 GstObject * BgL_z42builtin1048z42_247;
BgL_z42builtin1048z42_247 = 
FOREIGN_TO_COBJ(BgL_z42builtin1048z42_199); 
{ /* Llib/gstpluginfeature.scm 21 */
 BgL_gstzd2pluginzd2featurez00_bglt BgL_new1056z00_249;
{ /* Llib/gstpluginfeature.scm 21 */
 BgL_gstzd2pluginzd2featurez00_bglt BgL_new1055z00_250;
BgL_new1055z00_250 = 
((BgL_gstzd2pluginzd2featurez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2featurez00_bgl) ))); 
{ /* Llib/gstpluginfeature.scm 21 */
 long BgL_arg1078z00_251;
BgL_arg1078z00_251 = 
BGL_CLASS_NUM(BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_250), BgL_arg1078z00_251); } 
BgL_new1056z00_249 = BgL_new1055z00_250; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_249)))->BgL_z42builtinz42)=((GstObject *)BgL_z42builtin1048z42_247),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_249)))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1049ze5_200),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_249)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_z52closures1050z52_201)),BUNSPEC); 
{ /* Llib/gstpluginfeature.scm 21 */
 obj_t BgL_fun1077z00_252;
BgL_fun1077z00_252 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00); 
BGL_PROCEDURE_CALL1(BgL_fun1077z00_252, 
((obj_t)BgL_new1056z00_249)); } 
return BgL_new1056z00_249;} } } 

}



/* &<@anonymous:1139> */
obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_202, obj_t BgL_oz00_203, obj_t BgL_vz00_204)
{
{ /* Llib/gstpluginfeature.scm 38 */
{ /* Llib/gstpluginfeature.scm 46 */
 GstPluginFeature * BgL_arg1140z00_253;
{ /* Llib/gstpluginfeature.scm 46 */
 GstObject * BgL_arg1141z00_254;
BgL_arg1141z00_254 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_oz00_203))))->BgL_z42builtinz42); 
BgL_arg1140z00_253 = 
GST_PLUGIN_FEATURE(BgL_arg1141z00_254); } 
{ /* Llib/gstpluginfeature.scm 45 */
 unsigned int BgL_tmpz00_400;
BgL_tmpz00_400 = 
(unsigned int)CINT(BgL_vz00_204); 
gst_plugin_feature_set_rank(BgL_arg1140z00_253, BgL_tmpz00_400); } BUNSPEC; } 
return BgL_vz00_204;} 

}



/* &<@anonymous:1133> */
obj_t BGl_z62zc3z04anonymousza31133ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_205, obj_t BgL_oz00_206)
{
{ /* Llib/gstpluginfeature.scm 38 */
{ /* Llib/gstpluginfeature.scm 40 */
 unsigned int BgL_tmpz00_403;
{ /* Llib/gstpluginfeature.scm 42 */
 GstPluginFeature * BgL_arg1136z00_255;
{ /* Llib/gstpluginfeature.scm 42 */
 GstObject * BgL_arg1137z00_256;
BgL_arg1137z00_256 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_oz00_206))))->BgL_z42builtinz42); 
BgL_arg1136z00_255 = 
GST_PLUGIN_FEATURE(BgL_arg1137z00_256); } 
BgL_tmpz00_403 = 
gst_plugin_feature_get_rank(BgL_arg1136z00_255); } 
return 
BINT(BgL_tmpz00_403);} } 

}



/* &<@anonymous:1121> */
obj_t BGl_z62zc3z04anonymousza31121ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_207, obj_t BgL_oz00_208)
{
{ /* Llib/gstpluginfeature.scm 32 */
{ /* Llib/gstpluginfeature.scm 35 */
 char * BgL_tmpz00_410;
{ /* Llib/gstpluginfeature.scm 37 */
 GstPluginFeature * BgL_arg1122z00_257;
{ /* Llib/gstpluginfeature.scm 37 */
 GstObject * BgL_arg1123z00_258;
BgL_arg1123z00_258 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_oz00_208))))->BgL_z42builtinz42); 
BgL_arg1122z00_257 = 
GST_PLUGIN_FEATURE(BgL_arg1123z00_258); } 
BgL_tmpz00_410 = 
(char *)gst_plugin_feature_get_plugin_name(BgL_arg1122z00_257); } 
return 
string_to_bstring(BgL_tmpz00_410);} } 

}



/* &<@anonymous:1109> */
obj_t BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_209, obj_t BgL_oz00_210, obj_t BgL_vz00_211)
{
{ /* Llib/gstpluginfeature.scm 22 */
{ /* Llib/gstpluginfeature.scm 30 */
 GstPluginFeature * BgL_arg1112z00_259;
{ /* Llib/gstpluginfeature.scm 30 */
 GstObject * BgL_arg1116z00_260;
BgL_arg1116z00_260 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_oz00_210))))->BgL_z42builtinz42); 
BgL_arg1112z00_259 = 
GST_PLUGIN_FEATURE(BgL_arg1116z00_260); } 
{ /* Llib/gstpluginfeature.scm 29 */
 char * BgL_tmpz00_421;
BgL_tmpz00_421 = 
BSTRING_TO_STRING(BgL_vz00_211); 
gst_plugin_feature_set_name(BgL_arg1112z00_259, BgL_tmpz00_421); } } 
return BgL_vz00_211;} 

}



/* &<@anonymous:1103> */
obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_212, obj_t BgL_oz00_213)
{
{ /* Llib/gstpluginfeature.scm 22 */
{ /* Llib/gstpluginfeature.scm 24 */
 char * BgL_tmpz00_424;
{ /* Llib/gstpluginfeature.scm 26 */
 GstPluginFeature * BgL_arg1106z00_261;
{ /* Llib/gstpluginfeature.scm 26 */
 GstObject * BgL_arg1107z00_262;
BgL_arg1107z00_262 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2featurez00_bglt)BgL_oz00_213))))->BgL_z42builtinz42); 
BgL_arg1106z00_261 = 
GST_PLUGIN_FEATURE(BgL_arg1107z00_262); } 
BgL_tmpz00_424 = 
(char *)gst_plugin_feature_get_name(BgL_arg1106z00_261); } 
return 
string_to_bstring(BgL_tmpz00_424);} } 

}



/* &<@anonymous:1098> */
obj_t BGl_z62zc3z04anonymousza31098ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_214, obj_t BgL_oz00_215, obj_t BgL_vz00_216)
{
{ /* Llib/gstpluginfeature.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_215), 
(int)(2L), BgL_vz00_216);} 

}



/* &<@anonymous:1097> */
obj_t BGl_z62zc3z04anonymousza31097ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_217, obj_t BgL_oz00_218)
{
{ /* Llib/gstpluginfeature.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_218), 
(int)(2L));} 

}



/* &<@anonymous:1092> */
obj_t BGl_z62zc3z04anonymousza31092ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_219, obj_t BgL_oz00_220, obj_t BgL_vz00_221)
{
{ /* Llib/gstpluginfeature.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_220), 
(int)(1L), BgL_vz00_221);} 

}



/* &<@anonymous:1091> */
obj_t BGl_z62zc3z04anonymousza31091ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_222, obj_t BgL_oz00_223)
{
{ /* Llib/gstpluginfeature.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_223), 
(int)(1L));} 

}



/* &<@anonymous:1087> */
obj_t BGl_z62zc3z04anonymousza31087ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_224, obj_t BgL_oz00_225, obj_t BgL_vz00_226)
{
{ /* Llib/gstpluginfeature.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_225), 
(int)(0L), BgL_vz00_226);} 

}



/* &<@anonymous:1086> */
obj_t BGl_z62zc3z04anonymousza31086ze3ze5zz__gstreamer_gstpluginfeaturez00(obj_t BgL_envz00_227, obj_t BgL_oz00_228)
{
{ /* Llib/gstpluginfeature.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_228), 
(int)(0L));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginfeaturez00(void)
{
{ /* Llib/gstpluginfeature.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(361864494L, 
BSTRING_TO_STRING(BGl_string1163z00zz__gstreamer_gstpluginfeaturez00));} 

}

#ifdef __cplusplus
}
#endif
