/*===========================================================================*/
/*   (Command/parse.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -O5 -unsafe -c Command/parse.scm -o Command/parse.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COMMAND_PARSE_TYPE_DEFINITIONS
#define BGL_COMMAND_PARSE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_commandz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   int BgL_abbrevzd2lenzd2;
   obj_t BgL_parserz00;
   obj_t BgL_envz00;
   obj_t BgL_helpz00;
} *BgL_commandz00_bglt;


#endif // BGL_COMMAND_PARSE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_bdbzd2notifyzd2errorz00zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcommand_parsez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62commandzd2parsezb0zzcommand_parsez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62parsezd2errorzb0zzcommand_parsez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_gdbzd2enablezd2printz12z12zzgdb_annotatez00(void);
static obj_t BGl_genericzd2initzd2zzcommand_parsez00(void);
static obj_t BGl_z62genericzd2parsezb0zzcommand_parsez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2commandzd2zzcommand_commandz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzcommand_parsez00(void);
extern obj_t BGl_toplevelzd2commandzd2envz00zzcommand_commandz00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_commandz00zzcommand_commandz00;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcommand_parsez00(void);
static long BGl_findzd2patternzd2zzcommand_parsez00(obj_t, obj_t, int);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62zc3z04anonymousza31067ze3ze5zzcommand_parsez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_commandzd2parsezd2zzcommand_parsez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2stopzd2parsez00zzcommand_parsez00(obj_t);
static obj_t BGl_z62makezd2stopzd2parsez62zzcommand_parsez00(obj_t, obj_t);
static obj_t BGl_fixzd2tabulationz12zc0zzcommand_parsez00(long, obj_t, obj_t);
extern obj_t BGl_consolezd2echozd2zztools_ioz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_genericzd2parsezd2zzcommand_parsez00(obj_t, obj_t, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_parsez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_commandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcommand_parsez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_parsez00(void);
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_parsez00(void);
static obj_t BGl_gczd2rootszd2initz00zzcommand_parsez00(void);
extern obj_t BGl_consolezd2errorzd2zztools_ioz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2errorzd2zzcommand_parsez00(obj_t, obj_t, obj_t, int);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2errorzd2envz00zzcommand_parsez00, BgL_bgl_za762parseza7d2error1148z00, BGl_z62parsezd2errorzb0zzcommand_parsez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_genericzd2parsezd2envz00zzcommand_parsez00, BgL_bgl_za762genericza7d2par1149z00, BGl_z62genericzd2parsezb0zzcommand_parsez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_commandzd2parsezd2envz00zzcommand_parsez00, BgL_bgl_za762commandza7d2par1150z00, BGl_z62commandzd2parsezb0zzcommand_parsez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2stopzd2parsezd2envzd2zzcommand_parsez00, BgL_bgl_za762makeza7d2stopza7d1151za7, BGl_z62makezd2stopzd2parsez62zzcommand_parsez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1136z00zzcommand_parsez00, BgL_bgl_string1136za700za7za7c1152za7, "Unknown command", 15 );
DEFINE_STRING( BGl_string1137z00zzcommand_parsez00, BgL_bgl_string1137za700za7za7c1153za7, "parse", 5 );
DEFINE_STRING( BGl_string1138z00zzcommand_parsez00, BgL_bgl_string1138za700za7za7c1154za7, "", 0 );
DEFINE_STRING( BGl_string1139z00zzcommand_parsez00, BgL_bgl_string1139za700za7za7c1155za7, "^\n", 2 );
DEFINE_STRING( BGl_string1140z00zzcommand_parsez00, BgL_bgl_string1140za700za7za7c1156za7, "\n#", 2 );
DEFINE_STRING( BGl_string1141z00zzcommand_parsez00, BgL_bgl_string1141za700za7za7c1157za7, "#", 1 );
DEFINE_STRING( BGl_string1142z00zzcommand_parsez00, BgL_bgl_string1142za700za7za7c1158za7, "substring-at=?", 14 );
DEFINE_STRING( BGl_string1143z00zzcommand_parsez00, BgL_bgl_string1143za700za7za7c1159za7, "Illegal search", 14 );
DEFINE_STRING( BGl_string1144z00zzcommand_parsez00, BgL_bgl_string1144za700za7za7c1160za7, "command_parse", 13 );
DEFINE_STRING( BGl_string1145z00zzcommand_parsez00, BgL_bgl_string1145za700za7za7c1161za7, "nop ", 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_parsez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_parsez00(long BgL_checksumz00_520, char * BgL_fromz00_521)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_parsez00))
{ 
BGl_requirezd2initializa7ationz75zzcommand_parsez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_parsez00(); 
BGl_libraryzd2moduleszd2initz00zzcommand_parsez00(); 
BGl_cnstzd2initzd2zzcommand_parsez00(); 
BGl_importedzd2moduleszd2initz00zzcommand_parsez00(); 
return 
BGl_methodzd2initzd2zzcommand_parsez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "command_parse"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
{ /* Command/parse.scm 14 */
 obj_t BgL_cportz00_497;
{ /* Command/parse.scm 14 */
 obj_t BgL_stringz00_504;
BgL_stringz00_504 = BGl_string1145z00zzcommand_parsez00; 
{ /* Command/parse.scm 14 */
 obj_t BgL_startz00_505;
BgL_startz00_505 = 
BINT(0L); 
{ /* Command/parse.scm 14 */
 obj_t BgL_endz00_506;
BgL_endz00_506 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_504))); 
{ /* Command/parse.scm 14 */

BgL_cportz00_497 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_504, BgL_startz00_505, BgL_endz00_506); } } } } 
{ 
 long BgL_iz00_498;
BgL_iz00_498 = 0L; 
BgL_loopz00_499:
if(
(BgL_iz00_498==(-1L)))
{ /* Command/parse.scm 14 */
return BUNSPEC;}  else 
{ /* Command/parse.scm 14 */
{ /* Command/parse.scm 14 */
 obj_t BgL_arg1147z00_500;
{ /* Command/parse.scm 14 */

{ /* Command/parse.scm 14 */
 obj_t BgL_locationz00_502;
BgL_locationz00_502 = 
BBOOL(((bool_t)0)); 
{ /* Command/parse.scm 14 */

BgL_arg1147z00_500 = 
BGl_readz00zz__readerz00(BgL_cportz00_497, BgL_locationz00_502); } } } 
{ /* Command/parse.scm 14 */
 int BgL_tmpz00_549;
BgL_tmpz00_549 = 
(int)(BgL_iz00_498); 
CNST_TABLE_SET(BgL_tmpz00_549, BgL_arg1147z00_500); } } 
{ /* Command/parse.scm 14 */
 int BgL_auxz00_503;
BgL_auxz00_503 = 
(int)(
(BgL_iz00_498-1L)); 
{ 
 long BgL_iz00_554;
BgL_iz00_554 = 
(long)(BgL_auxz00_503); 
BgL_iz00_498 = BgL_iz00_554; 
goto BgL_loopz00_499;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* command-parse */
BGL_EXPORTED_DEF obj_t BGl_commandzd2parsezd2zzcommand_parsez00(obj_t BgL_cmdzd2listzd2_3, obj_t BgL_sourcez00_4)
{
{ /* Command/parse.scm 37 */
{ /* Command/parse.scm 38 */
 obj_t BgL_envz00_29;
BgL_envz00_29 = 
BGl_toplevelzd2commandzd2envz00zzcommand_commandz00(); 
{ /* Command/parse.scm 38 */
 obj_t BgL_subzd2cmdzd2idz00_30;
BgL_subzd2cmdzd2idz00_30 = 
CAR(BgL_cmdzd2listzd2_3); 
{ /* Command/parse.scm 39 */
 BgL_commandz00_bglt BgL_subzd2cmdzd2_31;
BgL_subzd2cmdzd2_31 = 
((BgL_commandz00_bglt)
BGl_findzd2commandzd2zzcommand_commandz00(BgL_subzd2cmdzd2idz00_30, BgL_envz00_29)); 
{ /* Command/parse.scm 40 */

{ /* Command/parse.scm 41 */
 bool_t BgL_test1164z00_561;
{ /* Command/parse.scm 41 */
 obj_t BgL_classz00_143;
BgL_classz00_143 = BGl_commandz00zzcommand_commandz00; 
{ /* Command/parse.scm 41 */
 BgL_objectz00_bglt BgL_arg1827z00_145;
{ /* Command/parse.scm 41 */
 obj_t BgL_tmpz00_562;
BgL_tmpz00_562 = 
((obj_t)BgL_subzd2cmdzd2_31); 
BgL_arg1827z00_145 = 
(BgL_objectz00_bglt)(BgL_tmpz00_562); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Command/parse.scm 41 */
 long BgL_idxz00_151;
BgL_idxz00_151 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_145); 
BgL_test1164z00_561 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_151+1L))==BgL_classz00_143); }  else 
{ /* Command/parse.scm 41 */
 bool_t BgL_res1133z00_176;
{ /* Command/parse.scm 41 */
 obj_t BgL_oclassz00_159;
{ /* Command/parse.scm 41 */
 obj_t BgL_arg1834z00_167; long BgL_arg1835z00_168;
BgL_arg1834z00_167 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Command/parse.scm 41 */
 long BgL_arg1836z00_169;
BgL_arg1836z00_169 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_145); 
BgL_arg1835z00_168 = 
(BgL_arg1836z00_169-OBJECT_TYPE); } 
BgL_oclassz00_159 = 
VECTOR_REF(BgL_arg1834z00_167,BgL_arg1835z00_168); } 
{ /* Command/parse.scm 41 */
 bool_t BgL__ortest_1114z00_160;
BgL__ortest_1114z00_160 = 
(BgL_classz00_143==BgL_oclassz00_159); 
if(BgL__ortest_1114z00_160)
{ /* Command/parse.scm 41 */
BgL_res1133z00_176 = BgL__ortest_1114z00_160; }  else 
{ /* Command/parse.scm 41 */
 long BgL_odepthz00_161;
{ /* Command/parse.scm 41 */
 obj_t BgL_arg1824z00_162;
BgL_arg1824z00_162 = 
(BgL_oclassz00_159); 
BgL_odepthz00_161 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_162); } 
if(
(1L<BgL_odepthz00_161))
{ /* Command/parse.scm 41 */
 obj_t BgL_arg1822z00_164;
{ /* Command/parse.scm 41 */
 obj_t BgL_arg1823z00_165;
BgL_arg1823z00_165 = 
(BgL_oclassz00_159); 
BgL_arg1822z00_164 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_165, 1L); } 
BgL_res1133z00_176 = 
(BgL_arg1822z00_164==BgL_classz00_143); }  else 
{ /* Command/parse.scm 41 */
BgL_res1133z00_176 = ((bool_t)0); } } } } 
BgL_test1164z00_561 = BgL_res1133z00_176; } } } 
if(BgL_test1164z00_561)
{ /* Command/parse.scm 46 */
 obj_t BgL_fun1057z00_33;
BgL_fun1057z00_33 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_31))->BgL_parserz00); 
{ /* Command/parse.scm 46 */
 obj_t BgL_arg1055z00_34; obj_t BgL_arg1056z00_35;
BgL_arg1055z00_34 = 
CDR(BgL_cmdzd2listzd2_3); 
BgL_arg1056z00_35 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_31))->BgL_envz00); 
return 
BGL_PROCEDURE_CALL4(BgL_fun1057z00_33, BgL_arg1055z00_34, BgL_sourcez00_4, 
BINT(1L), BgL_arg1056z00_35);} }  else 
{ /* Command/parse.scm 41 */
BGl_gdbzd2enablezd2printz12z12zzgdb_annotatez00(); 
{ /* Command/parse.scm 45 */
 obj_t BgL_arg1058z00_36;
{ /* Command/parse.scm 45 */
 obj_t BgL_list1059z00_37;
BgL_list1059z00_37 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_4, BNIL); 
BgL_arg1058z00_36 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1059z00_37); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1058z00_36);} } } } } } } } 

}



/* &command-parse */
obj_t BGl_z62commandzd2parsezb0zzcommand_parsez00(obj_t BgL_envz00_475, obj_t BgL_cmdzd2listzd2_476, obj_t BgL_sourcez00_477)
{
{ /* Command/parse.scm 37 */
return 
BGl_commandzd2parsezd2zzcommand_parsez00(BgL_cmdzd2listzd2_476, BgL_sourcez00_477);} 

}



/* generic-parse */
BGL_EXPORTED_DEF obj_t BGl_genericzd2parsezd2zzcommand_parsez00(obj_t BgL_cmdzd2listzd2_5, obj_t BgL_sourcez00_6, int BgL_levelz00_7, obj_t BgL_envz00_8)
{
{ /* Command/parse.scm 54 */
{ /* Command/parse.scm 55 */
 obj_t BgL_g1048z00_178;
BgL_g1048z00_178 = 
BGl_toplevelzd2commandzd2envz00zzcommand_commandz00(); 
if(
NULLP(BgL_cmdzd2listzd2_5))
{ /* Command/parse.scm 58 */
return 
((obj_t)
CNST_TABLE_REF(0));}  else 
{ /* Command/parse.scm 63 */
 obj_t BgL_subzd2cmdzd2idz00_253;
BgL_subzd2cmdzd2idz00_253 = 
CAR(BgL_cmdzd2listzd2_5); 
{ /* Command/parse.scm 63 */
 BgL_commandz00_bglt BgL_subzd2cmdzd2_254;
BgL_subzd2cmdzd2_254 = 
((BgL_commandz00_bglt)
BGl_findzd2commandzd2zzcommand_commandz00(BgL_subzd2cmdzd2idz00_253, BgL_g1048z00_178)); 
{ /* Command/parse.scm 64 */

{ /* Command/parse.scm 65 */
 bool_t BgL_test1169z00_608;
{ /* Command/parse.scm 65 */
 obj_t BgL_classz00_261;
BgL_classz00_261 = BGl_commandz00zzcommand_commandz00; 
{ /* Command/parse.scm 65 */
 BgL_objectz00_bglt BgL_arg1827z00_263;
{ /* Command/parse.scm 65 */
 obj_t BgL_tmpz00_609;
BgL_tmpz00_609 = 
((obj_t)BgL_subzd2cmdzd2_254); 
BgL_arg1827z00_263 = 
(BgL_objectz00_bglt)(BgL_tmpz00_609); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Command/parse.scm 65 */
 long BgL_idxz00_269;
BgL_idxz00_269 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_263); 
BgL_test1169z00_608 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_269+1L))==BgL_classz00_261); }  else 
{ /* Command/parse.scm 65 */
 bool_t BgL_res1135z00_294;
{ /* Command/parse.scm 65 */
 obj_t BgL_oclassz00_277;
{ /* Command/parse.scm 65 */
 obj_t BgL_arg1834z00_285; long BgL_arg1835z00_286;
BgL_arg1834z00_285 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Command/parse.scm 65 */
 long BgL_arg1836z00_287;
BgL_arg1836z00_287 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_263); 
BgL_arg1835z00_286 = 
(BgL_arg1836z00_287-OBJECT_TYPE); } 
BgL_oclassz00_277 = 
VECTOR_REF(BgL_arg1834z00_285,BgL_arg1835z00_286); } 
{ /* Command/parse.scm 65 */
 bool_t BgL__ortest_1114z00_278;
BgL__ortest_1114z00_278 = 
(BgL_classz00_261==BgL_oclassz00_277); 
if(BgL__ortest_1114z00_278)
{ /* Command/parse.scm 65 */
BgL_res1135z00_294 = BgL__ortest_1114z00_278; }  else 
{ /* Command/parse.scm 65 */
 long BgL_odepthz00_279;
{ /* Command/parse.scm 65 */
 obj_t BgL_arg1824z00_280;
BgL_arg1824z00_280 = 
(BgL_oclassz00_277); 
BgL_odepthz00_279 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_280); } 
if(
(1L<BgL_odepthz00_279))
{ /* Command/parse.scm 65 */
 obj_t BgL_arg1822z00_282;
{ /* Command/parse.scm 65 */
 obj_t BgL_arg1823z00_283;
BgL_arg1823z00_283 = 
(BgL_oclassz00_277); 
BgL_arg1822z00_282 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_283, 1L); } 
BgL_res1135z00_294 = 
(BgL_arg1822z00_282==BgL_classz00_261); }  else 
{ /* Command/parse.scm 65 */
BgL_res1135z00_294 = ((bool_t)0); } } } } 
BgL_test1169z00_608 = BgL_res1135z00_294; } } } 
if(BgL_test1169z00_608)
{ /* Command/parse.scm 67 */
 obj_t BgL_fun1066z00_256;
BgL_fun1066z00_256 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_254))->BgL_parserz00); 
{ /* Command/parse.scm 67 */
 obj_t BgL_arg1063z00_257; long BgL_arg1064z00_258; obj_t BgL_arg1065z00_259;
BgL_arg1063z00_257 = 
CDR(BgL_cmdzd2listzd2_5); 
BgL_arg1064z00_258 = 
(
(long)(BgL_levelz00_7)+1L); 
BgL_arg1065z00_259 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_254))->BgL_envz00); 
return 
BGL_PROCEDURE_CALL4(BgL_fun1066z00_256, BgL_arg1063z00_257, BgL_sourcez00_6, 
BINT(BgL_arg1064z00_258), BgL_arg1065z00_259);} }  else 
{ /* Command/parse.scm 65 */
return 
BGl_parsezd2errorzd2zzcommand_parsez00(BGl_string1136z00zzcommand_parsez00, BgL_subzd2cmdzd2idz00_253, BgL_sourcez00_6, BgL_levelz00_7);} } } } } } } 

}



/* &generic-parse */
obj_t BGl_z62genericzd2parsezb0zzcommand_parsez00(obj_t BgL_envz00_478, obj_t BgL_cmdzd2listzd2_479, obj_t BgL_sourcez00_480, obj_t BgL_levelz00_481, obj_t BgL_envz00_482)
{
{ /* Command/parse.scm 54 */
return 
BGl_genericzd2parsezd2zzcommand_parsez00(BgL_cmdzd2listzd2_479, BgL_sourcez00_480, 
CINT(BgL_levelz00_481), BgL_envz00_482);} 

}



/* make-stop-parse */
BGL_EXPORTED_DEF obj_t BGl_makezd2stopzd2parsez00zzcommand_parsez00(obj_t BgL_actionz00_9)
{
{ /* Command/parse.scm 75 */
{ /* Command/parse.scm 76 */
 obj_t BgL_zc3z04anonymousza31067ze3z87_483;
BgL_zc3z04anonymousza31067ze3z87_483 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31067ze3ze5zzcommand_parsez00, 
(int)(4L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31067ze3z87_483, 
(int)(0L), BgL_actionz00_9); 
return BgL_zc3z04anonymousza31067ze3z87_483;} } 

}



/* &make-stop-parse */
obj_t BGl_z62makezd2stopzd2parsez62zzcommand_parsez00(obj_t BgL_envz00_484, obj_t BgL_actionz00_485)
{
{ /* Command/parse.scm 75 */
return 
BGl_makezd2stopzd2parsez00zzcommand_parsez00(BgL_actionz00_485);} 

}



/* &<@anonymous:1067> */
obj_t BGl_z62zc3z04anonymousza31067ze3ze5zzcommand_parsez00(obj_t BgL_envz00_486, obj_t BgL_cmdzd2listzd2_488, obj_t BgL_sourcez00_489, obj_t BgL_levelz00_490, obj_t BgL_envz00_491)
{
{ /* Command/parse.scm 76 */
{ /* Command/parse.scm 77 */
 obj_t BgL_actionz00_487;
BgL_actionz00_487 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_486, 
(int)(0L))); 
{ /* Command/parse.scm 77 */
 int BgL_levelz00_510;
BgL_levelz00_510 = 
CINT(BgL_levelz00_490); 
if(
NULLP(
((obj_t)BgL_cmdzd2listzd2_488)))
{ /* Command/parse.scm 77 */
return 
BGL_PROCEDURE_CALL1(BgL_actionz00_487, 
((obj_t)BgL_sourcez00_489));}  else 
{ /* Command/parse.scm 79 */
 obj_t BgL_arg1069z00_511;
BgL_arg1069z00_511 = 
CAR(
((obj_t)BgL_cmdzd2listzd2_488)); 
BGl_bdbzd2notifyzd2errorz00zztools_errorz00(BGl_string1137z00zzcommand_parsez00, BGl_string1136z00zzcommand_parsez00, 
((obj_t)BgL_arg1069z00_511)); 
{ /* Command/parse.scm 89 */
 long BgL_lenz00_512;
BgL_lenz00_512 = 
BGl_findzd2patternzd2zzcommand_parsez00(
((obj_t)BgL_arg1069z00_511), 
((obj_t)BgL_sourcez00_489), BgL_levelz00_510); 
{ /* Command/parse.scm 89 */
 obj_t BgL_sstrz00_513;
if(
(BgL_lenz00_512>0L))
{ /* Command/parse.scm 90 */
BgL_sstrz00_513 = 
BGl_fixzd2tabulationz12zc0zzcommand_parsez00(BgL_lenz00_512, 
((obj_t)BgL_sourcez00_489), 
make_string(BgL_lenz00_512, ((unsigned char)' '))); }  else 
{ /* Command/parse.scm 90 */
BgL_sstrz00_513 = BGl_string1138z00zzcommand_parsez00; } 
{ /* Command/parse.scm 90 */

{ /* Command/parse.scm 95 */
 obj_t BgL_arg1070z00_514;
{ /* Command/parse.scm 95 */
 obj_t BgL_list1071z00_515;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1072z00_516;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1073z00_517;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1075z00_518;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1076z00_519;
BgL_arg1076z00_519 = 
MAKE_YOUNG_PAIR(BGl_string1139z00zzcommand_parsez00, BNIL); 
BgL_arg1075z00_518 = 
MAKE_YOUNG_PAIR(BgL_sstrz00_513, BgL_arg1076z00_519); } 
BgL_arg1073z00_517 = 
MAKE_YOUNG_PAIR(BGl_string1140z00zzcommand_parsez00, BgL_arg1075z00_518); } 
BgL_arg1072z00_516 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sourcez00_489), BgL_arg1073z00_517); } 
BgL_list1071z00_515 = 
MAKE_YOUNG_PAIR(BGl_string1141z00zzcommand_parsez00, BgL_arg1072z00_516); } 
BgL_arg1070z00_514 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1071z00_515); } 
return 
BGl_consolezd2errorzd2zztools_ioz00(BgL_arg1070z00_514);} } } } } } } } 

}



/* parse-error */
BGL_EXPORTED_DEF obj_t BGl_parsezd2errorzd2zzcommand_parsez00(obj_t BgL_msgz00_10, obj_t BgL_patternz00_11, obj_t BgL_sourcez00_12, int BgL_errzd2levelzd2_13)
{
{ /* Command/parse.scm 87 */
BGl_bdbzd2notifyzd2errorz00zztools_errorz00(BGl_string1137z00zzcommand_parsez00, BgL_msgz00_10, BgL_patternz00_11); 
{ /* Command/parse.scm 89 */
 long BgL_lenz00_323;
BgL_lenz00_323 = 
BGl_findzd2patternzd2zzcommand_parsez00(BgL_patternz00_11, BgL_sourcez00_12, BgL_errzd2levelzd2_13); 
{ /* Command/parse.scm 89 */
 obj_t BgL_sstrz00_324;
if(
(BgL_lenz00_323>0L))
{ /* Command/parse.scm 93 */
 obj_t BgL_arg1078z00_326;
BgL_arg1078z00_326 = 
make_string(BgL_lenz00_323, ((unsigned char)' ')); 
{ /* Command/parse.scm 145 */
 long BgL_g1049z00_335;
BgL_g1049z00_335 = 
(BgL_lenz00_323-1L); 
{ 
 long BgL_readz00_337;
BgL_readz00_337 = BgL_g1049z00_335; 
BgL_loopz00_336:
if(
(BgL_readz00_337==(-1L)))
{ /* Command/parse.scm 147 */
BgL_sstrz00_324 = BgL_arg1078z00_326; }  else 
{ /* Command/parse.scm 147 */
if(
(
STRING_REF(BgL_sourcez00_12, BgL_readz00_337)==((unsigned char)9)))
{ /* Command/parse.scm 149 */
STRING_SET(BgL_arg1078z00_326, BgL_readz00_337, ((unsigned char)9)); 
{ 
 long BgL_readz00_697;
BgL_readz00_697 = 
(BgL_readz00_337-1L); 
BgL_readz00_337 = BgL_readz00_697; 
goto BgL_loopz00_336;} }  else 
{ 
 long BgL_readz00_699;
BgL_readz00_699 = 
(BgL_readz00_337-1L); 
BgL_readz00_337 = BgL_readz00_699; 
goto BgL_loopz00_336;} } } } }  else 
{ /* Command/parse.scm 90 */
BgL_sstrz00_324 = BGl_string1138z00zzcommand_parsez00; } 
{ /* Command/parse.scm 90 */

{ /* Command/parse.scm 95 */
 obj_t BgL_arg1070z00_327;
{ /* Command/parse.scm 95 */
 obj_t BgL_list1071z00_328;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1072z00_329;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1073z00_330;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1075z00_331;
{ /* Command/parse.scm 95 */
 obj_t BgL_arg1076z00_332;
BgL_arg1076z00_332 = 
MAKE_YOUNG_PAIR(BGl_string1139z00zzcommand_parsez00, BNIL); 
BgL_arg1075z00_331 = 
MAKE_YOUNG_PAIR(BgL_sstrz00_324, BgL_arg1076z00_332); } 
BgL_arg1073z00_330 = 
MAKE_YOUNG_PAIR(BGl_string1140z00zzcommand_parsez00, BgL_arg1075z00_331); } 
BgL_arg1072z00_329 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_12, BgL_arg1073z00_330); } 
BgL_list1071z00_328 = 
MAKE_YOUNG_PAIR(BGl_string1141z00zzcommand_parsez00, BgL_arg1072z00_329); } 
BgL_arg1070z00_327 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1071z00_328); } 
return 
BGl_consolezd2errorzd2zztools_ioz00(BgL_arg1070z00_327);} } } } } 

}



/* &parse-error */
obj_t BGl_z62parsezd2errorzb0zzcommand_parsez00(obj_t BgL_envz00_492, obj_t BgL_msgz00_493, obj_t BgL_patternz00_494, obj_t BgL_sourcez00_495, obj_t BgL_errzd2levelzd2_496)
{
{ /* Command/parse.scm 87 */
return 
BGl_parsezd2errorzd2zzcommand_parsez00(BgL_msgz00_493, BgL_patternz00_494, BgL_sourcez00_495, 
CINT(BgL_errzd2levelzd2_496));} 

}



/* find-pattern */
long BGl_findzd2patternzd2zzcommand_parsez00(obj_t BgL_patz00_14, obj_t BgL_sourcez00_15, int BgL_errzd2levelzd2_16)
{
{ /* Command/parse.scm 100 */
{ 
 long BgL_r2z00_105; obj_t BgL_patz00_106; obj_t BgL_srcz00_107; long BgL_lpatz00_108; obj_t BgL_strz00_83; long BgL_indexz00_84; int BgL_numz00_85;
{ /* Command/parse.scm 128 */
 long BgL_startz00_72;
BgL_strz00_83 = BgL_sourcez00_15; 
BgL_indexz00_84 = 0L; 
BgL_numz00_85 = BgL_errzd2levelzd2_16; 
if(
(
(long)(BgL_numz00_85)==0L))
{ /* Command/parse.scm 104 */
BgL_startz00_72 = 0L; }  else 
{ 
 long BgL_indexz00_89; int BgL_numz00_90;
BgL_indexz00_89 = BgL_indexz00_84; 
BgL_numz00_90 = BgL_numz00_85; 
BgL_zc3z04anonymousza31085ze3z87_91:
if(
(
(long)(BgL_numz00_90)==0L))
{ /* Command/parse.scm 109 */
BgL_startz00_72 = BgL_indexz00_89; }  else 
{ /* Command/parse.scm 111 */
 bool_t BgL_test1180z00_716;
if(
(
STRING_REF(BgL_strz00_83, BgL_indexz00_89)==((unsigned char)' ')))
{ /* Command/parse.scm 111 */
BgL_test1180z00_716 = ((bool_t)1)
; }  else 
{ /* Command/parse.scm 111 */
BgL_test1180z00_716 = 
(
STRING_REF(BgL_strz00_83, BgL_indexz00_89)==((unsigned char)9))
; } 
if(BgL_test1180z00_716)
{ 
 int BgL_numz00_724; long BgL_indexz00_722;
BgL_indexz00_722 = 
(BgL_indexz00_89+1L); 
BgL_numz00_724 = 
(int)(
(
(long)(BgL_numz00_90)-1L)); 
BgL_numz00_90 = BgL_numz00_724; 
BgL_indexz00_89 = BgL_indexz00_722; 
goto BgL_zc3z04anonymousza31085ze3z87_91;}  else 
{ 
 long BgL_indexz00_728;
BgL_indexz00_728 = 
(BgL_indexz00_89+1L); 
BgL_indexz00_89 = BgL_indexz00_728; 
goto BgL_zc3z04anonymousza31085ze3z87_91;} } } 
{ /* Command/parse.scm 128 */
 long BgL_lenz00_73;
BgL_lenz00_73 = 
STRING_LENGTH(BgL_sourcez00_15); 
{ /* Command/parse.scm 129 */
 long BgL_lpatz00_74;
BgL_lpatz00_74 = 
STRING_LENGTH(BgL_patz00_14); 
{ /* Command/parse.scm 130 */
 long BgL_stopz00_75;
BgL_stopz00_75 = 
(BgL_lenz00_73-BgL_lpatz00_74); 
{ /* Command/parse.scm 131 */

{ 
 long BgL_iz00_446;
BgL_iz00_446 = BgL_startz00_72; 
BgL_loopz00_445:
if(
(BgL_iz00_446==BgL_stopz00_75))
{ /* Command/parse.scm 134 */
return BgL_iz00_446;}  else 
{ /* Command/parse.scm 136 */
 bool_t BgL_test1183z00_735;
{ /* Command/parse.scm 136 */
 obj_t BgL_tmpz00_736;
BgL_r2z00_105 = BgL_iz00_446; 
BgL_patz00_106 = BgL_patz00_14; 
BgL_srcz00_107 = BgL_sourcez00_15; 
BgL_lpatz00_108 = BgL_lpatz00_74; 
if(
(
STRING_LENGTH(BgL_srcz00_107)<
(BgL_r2z00_105+BgL_lpatz00_108)))
{ /* Command/parse.scm 118 */
 obj_t BgL_arg1106z00_113;
BgL_arg1106z00_113 = 
MAKE_YOUNG_PAIR(BgL_patz00_106, BgL_srcz00_107); 
BgL_tmpz00_736 = 
BGl_errorz00zz__errorz00(BGl_string1142z00zzcommand_parsez00, BGl_string1143z00zzcommand_parsez00, BgL_arg1106z00_113); }  else 
{ 
 long BgL_r1z00_405; long BgL_r2z00_406;
{ /* Command/parse.scm 119 */
 bool_t BgL_tmpz00_743;
BgL_r1z00_405 = 0L; 
BgL_r2z00_406 = BgL_r2z00_105; 
BgL_loopz00_404:
if(
(BgL_r1z00_405==BgL_lpatz00_108))
{ /* Command/parse.scm 122 */
BgL_tmpz00_743 = ((bool_t)1)
; }  else 
{ /* Command/parse.scm 122 */
if(
(
STRING_REF(BgL_srcz00_107, BgL_r2z00_406)==
STRING_REF(BgL_patz00_106, BgL_r1z00_405)))
{ 
 long BgL_r2z00_752; long BgL_r1z00_750;
BgL_r1z00_750 = 
(BgL_r1z00_405+1L); 
BgL_r2z00_752 = 
(BgL_r2z00_406+1L); 
BgL_r2z00_406 = BgL_r2z00_752; 
BgL_r1z00_405 = BgL_r1z00_750; 
goto BgL_loopz00_404;}  else 
{ /* Command/parse.scm 124 */
BgL_tmpz00_743 = ((bool_t)0)
; } } 
BgL_tmpz00_736 = 
BBOOL(BgL_tmpz00_743); } } 
BgL_test1183z00_735 = 
CBOOL(BgL_tmpz00_736); } 
if(BgL_test1183z00_735)
{ /* Command/parse.scm 136 */
return BgL_iz00_446;}  else 
{ 
 long BgL_iz00_756;
BgL_iz00_756 = 
(BgL_iz00_446+1L); 
BgL_iz00_446 = BgL_iz00_756; 
goto BgL_loopz00_445;} } } } } } } } } } 

}



/* fix-tabulation! */
obj_t BGl_fixzd2tabulationz12zc0zzcommand_parsez00(long BgL_markerz00_17, obj_t BgL_srcz00_18, obj_t BgL_dstz00_19)
{
{ /* Command/parse.scm 144 */
{ /* Command/parse.scm 145 */
 long BgL_g1049z00_456;
BgL_g1049z00_456 = 
(BgL_markerz00_17-1L); 
{ 
 long BgL_readz00_458;
BgL_readz00_458 = BgL_g1049z00_456; 
BgL_loopz00_457:
if(
(BgL_readz00_458==(-1L)))
{ /* Command/parse.scm 147 */
return BgL_dstz00_19;}  else 
{ /* Command/parse.scm 147 */
if(
(
STRING_REF(BgL_srcz00_18, BgL_readz00_458)==((unsigned char)9)))
{ /* Command/parse.scm 149 */
STRING_SET(BgL_dstz00_19, BgL_readz00_458, ((unsigned char)9)); 
{ 
 long BgL_readz00_765;
BgL_readz00_765 = 
(BgL_readz00_458-1L); 
BgL_readz00_458 = BgL_readz00_765; 
goto BgL_loopz00_457;} }  else 
{ 
 long BgL_readz00_767;
BgL_readz00_767 = 
(BgL_readz00_458-1L); 
BgL_readz00_458 = BgL_readz00_767; 
goto BgL_loopz00_457;} } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_parsez00(void)
{
{ /* Command/parse.scm 14 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(203313037L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zztools_errorz00(249086913L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(222649143L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(467242068L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zzcommand_commandz00(378887189L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zzgdb_invokez00(66920335L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
return 
BGl_modulezd2initializa7ationz75zzgdb_annotatez00(191796826L, 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00));} 

}

#ifdef __cplusplus
}
#endif
