/*===========================================================================*/
/*   (Gdb/ginvoke.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -O5 -unsafe -c Gdb/ginvoke.scm -o Gdb/ginvoke.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GDB_INVOKE_TYPE_DEFINITIONS
#define BGL_GDB_INVOKE_TYPE_DEFINITIONS
#endif // BGL_GDB_INVOKE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00(void);
extern obj_t BGl_za2gdbzd2callzd2hookza2z00zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzgdb_invokez00 = BUNSPEC;
static obj_t BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00 = BUNSPEC;
extern obj_t BGl_gdbzd2readzd2errorz00zzgdb_readz00(void);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzgdb_invokez00(void);
static obj_t BGl_z62gdbzd2noerrorzd2callzd2ze3stringz53zzgdb_invokez00(obj_t, obj_t);
static obj_t BGl_gdbzd2callzd2zzgdb_invokez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zzgdb_invokez00(void);
static obj_t BGl_objectzd2initzd2zzgdb_invokez00(void);
extern obj_t BGl_bdbzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_gdbzd2annotatezd2registerszd2protectzd2zzgdb_annotatez00(obj_t);
extern bool_t BGl_newlinezf3zf3zztools_toolsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_stringzd2untilzd2zztools_toolsz00(obj_t, unsigned char, int);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_bdbzd2replzd2promptz00zzengine_replz00(void);
static obj_t BGl_methodzd2initzd2zzgdb_invokez00(void);
extern obj_t BGl_readzd2unbufferedzd2linez00zzgdb_readz00(obj_t, bool_t, bool_t);
static obj_t BGl_flushzd2untilzd2promptz00zzgdb_invokez00(obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31073ze3ze5zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2noerrorzd2callzd2ze3stringz31zzgdb_invokez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31149ze3ze5zzgdb_invokez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62gdbzd2callzd2ze3stringz81zzgdb_invokez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zzgdb_invokez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31167ze3ze5zzgdb_invokez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31169ze3ze5zzgdb_invokez00(obj_t, obj_t);
BGL_IMPORT obj_t string_for_read(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_replz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_readz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_procz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62flushzd2gdbzd2pendingzd2outputzb0zzgdb_invokez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31186ze3ze5zzgdb_invokez00(obj_t, obj_t);
extern obj_t BGl_getzd2gdbzd2processz00zzgdb_procz00(void);
extern obj_t BGl_gdbzd2annotatezd2userzd2resetzd2registersz12z12zzgdb_annotatez00(void);
extern obj_t BGl_bdbzd2logzd2zztools_speekz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzgdb_invokez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzgdb_invokez00(void);
extern obj_t BGl_consolezd2promptzd2zztools_ioz00(obj_t);
extern obj_t BGl_gdbzd2annotatezd2busyzf3zf3zzgdb_annotatez00(void);
static obj_t BGl_importedzd2moduleszd2initz00zzgdb_invokez00(void);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zzgdb_invokez00(void);
extern obj_t BGl_findzd2annotatezd2parserz00zzgdb_annotatez00(obj_t);
extern obj_t BGl_za2gdbzd2promptza2zd2zzengine_paramz00;
extern obj_t BGl_consolezd2errorzd2zztools_ioz00(obj_t);
extern bool_t BGl_stringzd2prefixzf3z21zztools_toolsz00(obj_t, obj_t);
static obj_t BGl_z62gdbzd2serverzd2ze3stringz81zzgdb_invokez00(obj_t, obj_t);
extern obj_t BGl_gdbzd2readzd2linez00zzgdb_readz00(int);
BGL_EXPORTED_DECL obj_t BGl_flushzd2gdbzd2pendingzd2outputzd2zzgdb_invokez00(bool_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_gdbzd2annotatezd2resetzd2registersz12zc0zzgdb_annotatez00(void);
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string1192z00zzgdb_invokez00, BgL_bgl_string1192za700za7za7g1222za7, " parser: ", 9 );
DEFINE_STRING( BGl_string1193z00zzgdb_invokez00, BgL_bgl_string1193za700za7za7g1223za7, "\narmed?: ", 9 );
DEFINE_STRING( BGl_string1194z00zzgdb_invokez00, BgL_bgl_string1194za700za7za7g1224za7, " lst: ", 6 );
DEFINE_STRING( BGl_string1195z00zzgdb_invokez00, BgL_bgl_string1195za700za7za7g1225za7, "", 0 );
DEFINE_STRING( BGl_string1196z00zzgdb_invokez00, BgL_bgl_string1196za700za7za7g1226za7, " <no-a-bool>", 12 );
DEFINE_STRING( BGl_string1197z00zzgdb_invokez00, BgL_bgl_string1197za700za7za7g1227za7, " as bool: ", 10 );
DEFINE_STRING( BGl_string1198z00zzgdb_invokez00, BgL_bgl_string1198za700za7za7g1228za7, " string?: ", 10 );
DEFINE_STRING( BGl_string1199z00zzgdb_invokez00, BgL_bgl_string1199za700za7za7g1229za7, "***FLUSH-UNTIL-PROMPT:PARSER: ", 30 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2callzd2ze3stringzd2envz31zzgdb_invokez00, BgL_bgl_za762gdbza7d2callza7d21230za7, va_generic_entry, BGl_z62gdbzd2callzd2ze3stringz81zzgdb_invokez00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flushzd2gdbzd2pendingzd2outputzd2envz00zzgdb_invokez00, BgL_bgl_za762flushza7d2gdbza7d1231za7, BGl_z62flushzd2gdbzd2pendingzd2outputzb0zzgdb_invokez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2serverzd2ze3stringzd2envz31zzgdb_invokez00, BgL_bgl_za762gdbza7d2serverza71232za7, va_generic_entry, BGl_z62gdbzd2serverzd2ze3stringz81zzgdb_invokez00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string1200z00zzgdb_invokez00, BgL_bgl_string1200za700za7za7g1233za7, "\n", 1 );
DEFINE_STRING( BGl_string1201z00zzgdb_invokez00, BgL_bgl_string1201za700za7za7g1234za7, "]", 1 );
DEFINE_STRING( BGl_string1202z00zzgdb_invokez00, BgL_bgl_string1202za700za7za7g1235za7, "sending: [", 10 );
DEFINE_STRING( BGl_string1203z00zzgdb_invokez00, BgL_bgl_string1203za700za7za7g1236za7, "kill", 4 );
DEFINE_STRING( BGl_string1204z00zzgdb_invokez00, BgL_bgl_string1204za700za7za7g1237za7, "internal-error:gdb-call:Illegal re-entrant gdb-call", 51 );
DEFINE_STRING( BGl_string1205z00zzgdb_invokez00, BgL_bgl_string1205za700za7za7g1238za7, "gdb-call", 8 );
DEFINE_STRING( BGl_string1206z00zzgdb_invokez00, BgL_bgl_string1206za700za7za7g1239za7, "Can't issue command because GDB is busy", 39 );
DEFINE_STRING( BGl_string1207z00zzgdb_invokez00, BgL_bgl_string1207za700za7za7g1240za7, "server output", 13 );
DEFINE_STRING( BGl_string1208z00zzgdb_invokez00, BgL_bgl_string1208za700za7za7g1241za7, "\"", 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2noerrorzd2callzd2ze3stringzd2envze3zzgdb_invokez00, BgL_bgl_za762gdbza7d2noerror1242z00, va_generic_entry, BGl_z62gdbzd2noerrorzd2callzd2ze3stringz53zzgdb_invokez00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string1209z00zzgdb_invokez00, BgL_bgl_string1209za700za7za7g1243za7, "\" for command \"", 15 );
DEFINE_STRING( BGl_string1210z00zzgdb_invokez00, BgL_bgl_string1210za700za7za7g1244za7, "Illegal echo \"", 14 );
DEFINE_STRING( BGl_string1211z00zzgdb_invokez00, BgL_bgl_string1211za700za7za7g1245za7, "internal-error:gdb-call", 23 );
DEFINE_STRING( BGl_string1212z00zzgdb_invokez00, BgL_bgl_string1212za700za7za7g1246za7, " ", 1 );
DEFINE_STRING( BGl_string1213z00zzgdb_invokez00, BgL_bgl_string1213za700za7za7g1247za7, "internal-error:gdb-call-for-ouput", 33 );
DEFINE_STRING( BGl_string1214z00zzgdb_invokez00, BgL_bgl_string1214za700za7za7g1248za7, "Illegal empty command", 21 );
DEFINE_STRING( BGl_string1216z00zzgdb_invokez00, BgL_bgl_string1216za700za7za7g1249za7, "server", 6 );
DEFINE_STRING( BGl_string1219z00zzgdb_invokez00, BgL_bgl_string1219za700za7za7g1250za7, "gdb_invoke", 10 );
DEFINE_STRING( BGl_string1220z00zzgdb_invokez00, BgL_bgl_string1220za700za7za7g1251za7, ":flush-until-prompt ", 20 );
DEFINE_BGL_L_PROCEDURE(BGl_proc1215z00zzgdb_invokez00, BgL_bgl_za762za7c3za704anonymo1252za7, BGl_z62zc3z04anonymousza31149ze3ze5zzgdb_invokez00 );
DEFINE_BGL_L_PROCEDURE(BGl_proc1217z00zzgdb_invokez00, BgL_bgl_za762za7c3za704anonymo1253za7, BGl_z62zc3z04anonymousza31169ze3ze5zzgdb_invokez00 );
DEFINE_BGL_L_PROCEDURE(BGl_proc1218z00zzgdb_invokez00, BgL_bgl_za762za7c3za704anonymo1254za7, BGl_z62zc3z04anonymousza31186ze3ze5zzgdb_invokez00 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzgdb_invokez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long BgL_checksumz00_421, char * BgL_fromz00_422)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzgdb_invokez00))
{ 
BGl_requirezd2initializa7ationz75zzgdb_invokez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzgdb_invokez00(); 
BGl_libraryzd2moduleszd2initz00zzgdb_invokez00(); 
BGl_cnstzd2initzd2zzgdb_invokez00(); 
BGl_importedzd2moduleszd2initz00zzgdb_invokez00(); 
return 
BGl_toplevelzd2initzd2zzgdb_invokez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__processz00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "gdb_invoke"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "gdb_invoke"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
{ /* Gdb/ginvoke.scm 14 */
 obj_t BgL_cportz00_408;
{ /* Gdb/ginvoke.scm 14 */
 obj_t BgL_stringz00_415;
BgL_stringz00_415 = BGl_string1220z00zzgdb_invokez00; 
{ /* Gdb/ginvoke.scm 14 */
 obj_t BgL_startz00_416;
BgL_startz00_416 = 
BINT(0L); 
{ /* Gdb/ginvoke.scm 14 */
 obj_t BgL_endz00_417;
BgL_endz00_417 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_415))); 
{ /* Gdb/ginvoke.scm 14 */

BgL_cportz00_408 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_415, BgL_startz00_416, BgL_endz00_417); } } } } 
{ 
 long BgL_iz00_409;
BgL_iz00_409 = 0L; 
BgL_loopz00_410:
if(
(BgL_iz00_409==(-1L)))
{ /* Gdb/ginvoke.scm 14 */
return BUNSPEC;}  else 
{ /* Gdb/ginvoke.scm 14 */
{ /* Gdb/ginvoke.scm 14 */
 obj_t BgL_arg1221z00_411;
{ /* Gdb/ginvoke.scm 14 */

{ /* Gdb/ginvoke.scm 14 */
 obj_t BgL_locationz00_413;
BgL_locationz00_413 = 
BBOOL(((bool_t)0)); 
{ /* Gdb/ginvoke.scm 14 */

BgL_arg1221z00_411 = 
BGl_readz00zz__readerz00(BgL_cportz00_408, BgL_locationz00_413); } } } 
{ /* Gdb/ginvoke.scm 14 */
 int BgL_tmpz00_450;
BgL_tmpz00_450 = 
(int)(BgL_iz00_409); 
CNST_TABLE_SET(BgL_tmpz00_450, BgL_arg1221z00_411); } } 
{ /* Gdb/ginvoke.scm 14 */
 int BgL_auxz00_414;
BgL_auxz00_414 = 
(int)(
(BgL_iz00_409-1L)); 
{ 
 long BgL_iz00_455;
BgL_iz00_455 = 
(long)(BgL_auxz00_414); 
BgL_iz00_409 = BgL_iz00_455; 
goto BgL_loopz00_410;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
return ( 
BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00 = BFALSE, BUNSPEC) ;} 

}



/* flush-until-prompt */
obj_t BGl_flushzd2untilzd2promptz00zzgdb_invokez00(obj_t BgL_pinz00_3, bool_t BgL_armedzf3zf3_4)
{
{ /* Gdb/ginvoke.scm 34 */
{ /* Gdb/ginvoke.scm 35 */
 obj_t BgL_g1047z00_22;
BgL_g1047z00_22 = 
BGl_readzd2unbufferedzd2linez00zzgdb_readz00(BgL_pinz00_3, ((bool_t)0), ((bool_t)1)); 
{ 
 obj_t BgL_linez00_25; bool_t BgL_armedzf3zf3_26; obj_t BgL_lstz00_27;
BgL_linez00_25 = BgL_g1047z00_22; 
BgL_armedzf3zf3_26 = BgL_armedzf3zf3_4; 
BgL_lstz00_27 = BNIL; 
BgL_zc3z04anonymousza31059ze3z87_28:
{ /* Gdb/ginvoke.scm 39 */
 obj_t BgL_arg1060z00_29;
BgL_arg1060z00_29 = 
string_for_read(
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_25, 
(char)(((unsigned char)10)), 
(int)(1L))); 
{ /* Gdb/ginvoke.scm 38 */
 obj_t BgL_list1061z00_30;
{ /* Gdb/ginvoke.scm 38 */
 obj_t BgL_arg1062z00_31;
BgL_arg1062z00_31 = 
MAKE_YOUNG_PAIR(BgL_arg1060z00_29, BNIL); 
BgL_list1061z00_30 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(0)), BgL_arg1062z00_31); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(5L), BgL_list1061z00_30); } } 
{ /* Gdb/ginvoke.scm 40 */
 obj_t BgL_arg1064z00_33;
BgL_arg1064z00_33 = 
BGl_findzd2annotatezd2parserz00zzgdb_annotatez00(BgL_linez00_25); 
{ /* Gdb/ginvoke.scm 40 */
 obj_t BgL_list1065z00_34;
{ /* Gdb/ginvoke.scm 40 */
 obj_t BgL_arg1066z00_35;
{ /* Gdb/ginvoke.scm 40 */
 obj_t BgL_arg1067z00_36;
{ /* Gdb/ginvoke.scm 40 */
 obj_t BgL_arg1068z00_37;
BgL_arg1068z00_37 = 
MAKE_YOUNG_PAIR(BgL_arg1064z00_33, BNIL); 
BgL_arg1067z00_36 = 
MAKE_YOUNG_PAIR(BGl_string1192z00zzgdb_invokez00, BgL_arg1068z00_37); } 
BgL_arg1066z00_35 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_armedzf3zf3_26), BgL_arg1067z00_36); } 
BgL_list1065z00_34 = 
MAKE_YOUNG_PAIR(BGl_string1193z00zzgdb_invokez00, BgL_arg1066z00_35); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1065z00_34); } } 
{ /* Gdb/ginvoke.scm 41 */
 obj_t BgL_arg1069z00_38;
{ /* Gdb/ginvoke.scm 41 */
 obj_t BgL_zc3z04anonymousza31073ze3z87_382;
BgL_zc3z04anonymousza31073ze3z87_382 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31073ze3ze5zzgdb_invokez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31073ze3z87_382, 
(int)(0L), BgL_lstz00_27); 
BgL_arg1069z00_38 = 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza31073ze3z87_382); } 
{ /* Gdb/ginvoke.scm 41 */
 obj_t BgL_list1070z00_39;
{ /* Gdb/ginvoke.scm 41 */
 obj_t BgL_arg1071z00_40;
BgL_arg1071z00_40 = 
MAKE_YOUNG_PAIR(BgL_arg1069z00_38, BNIL); 
BgL_list1070z00_39 = 
MAKE_YOUNG_PAIR(BGl_string1194z00zzgdb_invokez00, BgL_arg1071z00_40); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1070z00_39); } } 
{ /* Gdb/ginvoke.scm 42 */
 obj_t BgL_list1075z00_45;
BgL_list1075z00_45 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(5L), BgL_list1075z00_45); } 
if(
BGl_newlinezf3zf3zztools_toolsz00(BgL_linez00_25))
{ 
 bool_t BgL_armedzf3zf3_495; obj_t BgL_linez00_493;
BgL_linez00_493 = 
BGl_readzd2unbufferedzd2linez00zzgdb_readz00(BgL_pinz00_3, ((bool_t)0), ((bool_t)1)); 
BgL_armedzf3zf3_495 = ((bool_t)1); 
BgL_armedzf3zf3_26 = BgL_armedzf3zf3_495; 
BgL_linez00_25 = BgL_linez00_493; 
goto BgL_zc3z04anonymousza31059ze3z87_28;}  else 
{ /* Gdb/ginvoke.scm 44 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_za2gdbzd2promptza2zd2zzengine_paramz00, BgL_linez00_25))
{ 
 obj_t BgL_lstz00_218; obj_t BgL_resz00_219;
BgL_lstz00_218 = BgL_lstz00_27; 
BgL_resz00_219 = BGl_string1195z00zzgdb_invokez00; 
BgL_loopz00_217:
if(
NULLP(BgL_lstz00_218))
{ /* Gdb/ginvoke.scm 51 */
return BgL_resz00_219;}  else 
{ /* Gdb/ginvoke.scm 53 */
 obj_t BgL_arg1081z00_225; obj_t BgL_arg1082z00_226;
BgL_arg1081z00_225 = 
CDR(
((obj_t)BgL_lstz00_218)); 
{ /* Gdb/ginvoke.scm 54 */
 obj_t BgL_arg1084z00_227;
BgL_arg1084z00_227 = 
CAR(
((obj_t)BgL_lstz00_218)); 
BgL_arg1082z00_226 = 
string_append(BgL_arg1084z00_227, BgL_resz00_219); } 
{ 
 obj_t BgL_resz00_506; obj_t BgL_lstz00_505;
BgL_lstz00_505 = BgL_arg1081z00_225; 
BgL_resz00_506 = BgL_arg1082z00_226; 
BgL_resz00_219 = BgL_resz00_506; 
BgL_lstz00_218 = BgL_lstz00_505; 
goto BgL_loopz00_217;} } }  else 
{ /* Gdb/ginvoke.scm 56 */
 obj_t BgL_parserz00_58;
BgL_parserz00_58 = 
BGl_findzd2annotatezd2parserz00zzgdb_annotatez00(BgL_linez00_25); 
{ /* Gdb/ginvoke.scm 57 */
 bool_t BgL_test1260z00_508;
if(BgL_armedzf3zf3_26)
{ /* Gdb/ginvoke.scm 57 */
BgL_test1260z00_508 = 
PROCEDUREP(BgL_parserz00_58)
; }  else 
{ /* Gdb/ginvoke.scm 57 */
BgL_test1260z00_508 = ((bool_t)0)
; } 
if(BgL_test1260z00_508)
{ /* Gdb/ginvoke.scm 62 */
 obj_t BgL_parsedz00_60;
BgL_parsedz00_60 = 
BGL_PROCEDURE_CALL1(BgL_parserz00_58, BgL_linez00_25); 
{ /* Gdb/ginvoke.scm 62 */
 obj_t BgL_armedzf3zf3_61;
if(
BOOLEANP(BgL_parsedz00_60))
{ /* Gdb/ginvoke.scm 63 */
BgL_armedzf3zf3_61 = BgL_parsedz00_60; }  else 
{ /* Gdb/ginvoke.scm 63 */
BgL_armedzf3zf3_61 = BFALSE; } 
{ /* Gdb/ginvoke.scm 63 */
 obj_t BgL_newzd2lstzd2_62;
if(
STRINGP(BgL_parsedz00_60))
{ /* Gdb/ginvoke.scm 66 */
BgL_newzd2lstzd2_62 = 
MAKE_YOUNG_PAIR(BgL_parsedz00_60, BgL_lstz00_27); }  else 
{ /* Gdb/ginvoke.scm 66 */
BgL_newzd2lstzd2_62 = BgL_lstz00_27; } 
{ /* Gdb/ginvoke.scm 66 */

{ /* Gdb/ginvoke.scm 70 */
 bool_t BgL_arg1086z00_63; obj_t BgL_arg1087z00_64;
BgL_arg1086z00_63 = 
STRINGP(BgL_parsedz00_60); 
BgL_arg1087z00_64 = BGl_string1196z00zzgdb_invokez00; 
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_list1088z00_65;
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_arg1089z00_66;
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_arg1090z00_67;
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_arg1091z00_68;
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_arg1092z00_69;
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_arg1093z00_70;
{ /* Gdb/ginvoke.scm 69 */
 obj_t BgL_arg1094z00_71;
BgL_arg1094z00_71 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1093z00_70 = 
MAKE_YOUNG_PAIR(BgL_arg1087z00_64, BgL_arg1094z00_71); } 
BgL_arg1092z00_69 = 
MAKE_YOUNG_PAIR(BGl_string1197z00zzgdb_invokez00, BgL_arg1093z00_70); } 
BgL_arg1091z00_68 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1086z00_63), BgL_arg1092z00_69); } 
BgL_arg1090z00_67 = 
MAKE_YOUNG_PAIR(BGl_string1198z00zzgdb_invokez00, BgL_arg1091z00_68); } 
BgL_arg1089z00_66 = 
MAKE_YOUNG_PAIR(BgL_armedzf3zf3_61, BgL_arg1090z00_67); } 
BgL_list1088z00_65 = 
MAKE_YOUNG_PAIR(BGl_string1199z00zzgdb_invokez00, BgL_arg1089z00_66); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1088z00_65); } } 
{ 
 obj_t BgL_lstz00_536; bool_t BgL_armedzf3zf3_534; obj_t BgL_linez00_532;
BgL_linez00_532 = 
BGl_readzd2unbufferedzd2linez00zzgdb_readz00(BgL_pinz00_3, ((bool_t)0), ((bool_t)1)); 
BgL_armedzf3zf3_534 = 
CBOOL(BgL_armedzf3zf3_61); 
BgL_lstz00_536 = BgL_newzd2lstzd2_62; 
BgL_lstz00_27 = BgL_lstz00_536; 
BgL_armedzf3zf3_26 = BgL_armedzf3zf3_534; 
BgL_linez00_25 = BgL_linez00_532; 
goto BgL_zc3z04anonymousza31059ze3z87_28;} } } } }  else 
{ /* Gdb/ginvoke.scm 78 */
 obj_t BgL_newzd2lstzd2_76;
if(BgL_armedzf3zf3_26)
{ /* Gdb/ginvoke.scm 79 */
 obj_t BgL_arg1100z00_78; obj_t BgL_arg1101z00_79;
BgL_arg1100z00_78 = 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_25, 
(char)(((unsigned char)10)), 
(int)(0L)); 
BgL_arg1101z00_79 = 
MAKE_YOUNG_PAIR(BGl_string1200z00zzgdb_invokez00, BgL_lstz00_27); 
BgL_newzd2lstzd2_76 = 
MAKE_YOUNG_PAIR(BgL_arg1100z00_78, BgL_arg1101z00_79); }  else 
{ /* Gdb/ginvoke.scm 78 */
BgL_newzd2lstzd2_76 = 
MAKE_YOUNG_PAIR(
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_25, 
(char)(((unsigned char)10)), 
(int)(0L)), BgL_lstz00_27); } 
{ 
 obj_t BgL_lstz00_550; bool_t BgL_armedzf3zf3_549; obj_t BgL_linez00_547;
BgL_linez00_547 = 
BGl_readzd2unbufferedzd2linez00zzgdb_readz00(BgL_pinz00_3, ((bool_t)0), ((bool_t)1)); 
BgL_armedzf3zf3_549 = ((bool_t)1); 
BgL_lstz00_550 = BgL_newzd2lstzd2_76; 
BgL_lstz00_27 = BgL_lstz00_550; 
BgL_armedzf3zf3_26 = BgL_armedzf3zf3_549; 
BgL_linez00_25 = BgL_linez00_547; 
goto BgL_zc3z04anonymousza31059ze3z87_28;} } } } } } } } 

}



/* &<@anonymous:1073> */
obj_t BGl_z62zc3z04anonymousza31073ze3ze5zzgdb_invokez00(obj_t BgL_envz00_383)
{
{ /* Gdb/ginvoke.scm 41 */
{ /* Gdb/ginvoke.scm 41 */
 obj_t BgL_lstz00_384;
BgL_lstz00_384 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_383, 
(int)(0L))); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_lstz00_384, BNIL);} } 

}



/* flush-gdb-pending-output */
BGL_EXPORTED_DEF obj_t BGl_flushzd2gdbzd2pendingzd2outputzd2zzgdb_invokez00(bool_t BgL_verbzf3zf3_5)
{
{ /* Gdb/ginvoke.scm 98 */
{ /* Gdb/ginvoke.scm 99 */
 obj_t BgL_arg1106z00_230;
{ /* Gdb/ginvoke.scm 99 */
 obj_t BgL_arg1107z00_231;
BgL_arg1107z00_231 = 
BGl_getzd2gdbzd2processz00zzgdb_procz00(); 
BgL_arg1106z00_230 = 
PROCESS_OUTPUT_PORT(
((obj_t)BgL_arg1107z00_231)); } 
BGl_flushzd2untilzd2promptz00zzgdb_invokez00(BgL_arg1106z00_230, ((bool_t)1)); } 
if(
CBOOL(
BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00()))
{ /* Gdb/ginvoke.scm 100 */
if(BgL_verbzf3zf3_5)
{ /* Gdb/ginvoke.scm 102 */
 obj_t BgL_errz00_233;
BgL_errz00_233 = 
BGl_gdbzd2readzd2errorz00zzgdb_readz00(); 
BGl_consolezd2errorzd2zztools_ioz00(BgL_errz00_233); 
return 
BGl_consolezd2promptzd2zztools_ioz00(
BGl_bdbzd2replzd2promptz00zzengine_replz00());}  else 
{ /* Gdb/ginvoke.scm 101 */
return 
BGl_gdbzd2readzd2errorz00zzgdb_readz00();} }  else 
{ /* Gdb/ginvoke.scm 100 */
return BFALSE;} } 

}



/* &flush-gdb-pending-output */
obj_t BGl_z62flushzd2gdbzd2pendingzd2outputzb0zzgdb_invokez00(obj_t BgL_envz00_385, obj_t BgL_verbzf3zf3_386)
{
{ /* Gdb/ginvoke.scm 98 */
return 
BGl_flushzd2gdbzd2pendingzd2outputzd2zzgdb_invokez00(
CBOOL(BgL_verbzf3zf3_386));} 

}



/* gdb-call */
obj_t BGl_gdbzd2callzd2zzgdb_invokez00(obj_t BgL_cmdz00_8, obj_t BgL_filterz00_9)
{
{ /* Gdb/ginvoke.scm 134 */
{ /* Gdb/ginvoke.scm 135 */
 obj_t BgL_list1113z00_90;
{ /* Gdb/ginvoke.scm 135 */
 obj_t BgL_arg1116z00_91;
{ /* Gdb/ginvoke.scm 135 */
 obj_t BgL_arg1117z00_92;
{ /* Gdb/ginvoke.scm 135 */
 obj_t BgL_arg1118z00_93;
BgL_arg1118z00_93 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1117z00_92 = 
MAKE_YOUNG_PAIR(BGl_string1201z00zzgdb_invokez00, BgL_arg1118z00_93); } 
BgL_arg1116z00_91 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_8, BgL_arg1117z00_92); } 
BgL_list1113z00_90 = 
MAKE_YOUNG_PAIR(BGl_string1202z00zzgdb_invokez00, BgL_arg1116z00_91); } 
BGl_verbosez00zztools_speekz00(
BINT(4L), BgL_list1113z00_90); } 
{ /* Gdb/ginvoke.scm 137 */
 bool_t BgL_test1269z00_577;
if(
CBOOL(BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00))
{ /* Gdb/ginvoke.scm 137 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1203z00zzgdb_invokez00, BgL_cmdz00_8))
{ /* Gdb/ginvoke.scm 137 */
BgL_test1269z00_577 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 137 */
BgL_test1269z00_577 = ((bool_t)1)
; } }  else 
{ /* Gdb/ginvoke.scm 137 */
BgL_test1269z00_577 = ((bool_t)0)
; } 
if(BgL_test1269z00_577)
{ /* Gdb/ginvoke.scm 137 */
return 
BGl_errorz00zz__errorz00(BGl_string1204z00zzgdb_invokez00, BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00, BgL_cmdz00_8);}  else 
{ /* Gdb/ginvoke.scm 141 */
 bool_t BgL_test1272z00_583;
if(
CBOOL(
BGl_gdbzd2annotatezd2busyzf3zf3zzgdb_annotatez00()))
{ /* Gdb/ginvoke.scm 141 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1203z00zzgdb_invokez00, BgL_cmdz00_8))
{ /* Gdb/ginvoke.scm 141 */
BgL_test1272z00_583 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 141 */
BgL_test1272z00_583 = ((bool_t)1)
; } }  else 
{ /* Gdb/ginvoke.scm 141 */
BgL_test1272z00_583 = ((bool_t)0)
; } 
if(BgL_test1272z00_583)
{ /* Gdb/ginvoke.scm 141 */
return 
BGl_bdbzd2errorzd2zztools_errorz00(BGl_string1205z00zzgdb_invokez00, BGl_string1206z00zzgdb_invokez00, BgL_cmdz00_8);}  else 
{ /* Gdb/ginvoke.scm 141 */
BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00 = BgL_cmdz00_8; 
{ /* Gdb/ginvoke.scm 148 */
 obj_t BgL_procz00_99;
BgL_procz00_99 = 
BGl_getzd2gdbzd2processz00zzgdb_procz00(); 
{ /* Gdb/ginvoke.scm 148 */
 obj_t BgL_pinz00_100;
BgL_pinz00_100 = 
PROCESS_INPUT_PORT(
((obj_t)BgL_procz00_99)); 
{ /* Gdb/ginvoke.scm 149 */
 obj_t BgL_poutz00_101;
BgL_poutz00_101 = 
PROCESS_OUTPUT_PORT(
((obj_t)BgL_procz00_99)); 
{ /* Gdb/ginvoke.scm 150 */

BGl_gdbzd2annotatezd2resetzd2registersz12zc0zzgdb_annotatez00(); 
bgl_display_obj(BgL_cmdz00_8, BgL_pinz00_100); 
{ /* Gdb/ginvoke.scm 154 */
 obj_t BgL_tmpz00_597;
BgL_tmpz00_597 = 
((obj_t)BgL_pinz00_100); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_597); } 
{ /* Gdb/ginvoke.scm 155 */
 obj_t BgL_tmpz00_600;
BgL_tmpz00_600 = 
((obj_t)BgL_pinz00_100); 
bgl_flush_output_port(BgL_tmpz00_600); } 
{ /* Gdb/ginvoke.scm 157 */
 obj_t BgL_echoz00_103;
BgL_echoz00_103 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/ginvoke.scm 158 */
 bool_t BgL_test1275z00_605;
{ /* Gdb/ginvoke.scm 158 */
 bool_t BgL_test1276z00_606;
{ /* Gdb/ginvoke.scm 158 */
 long BgL_l1z00_247;
BgL_l1z00_247 = 
STRING_LENGTH(BgL_echoz00_103); 
if(
(BgL_l1z00_247==0L))
{ /* Gdb/ginvoke.scm 158 */
 int BgL_arg1339z00_250;
{ /* Gdb/ginvoke.scm 158 */
 char * BgL_auxz00_612; char * BgL_tmpz00_610;
BgL_auxz00_612 = 
BSTRING_TO_STRING(BGl_string1195z00zzgdb_invokez00); 
BgL_tmpz00_610 = 
BSTRING_TO_STRING(BgL_echoz00_103); 
BgL_arg1339z00_250 = 
memcmp(BgL_tmpz00_610, BgL_auxz00_612, BgL_l1z00_247); } 
BgL_test1276z00_606 = 
(
(long)(BgL_arg1339z00_250)==0L); }  else 
{ /* Gdb/ginvoke.scm 158 */
BgL_test1276z00_606 = ((bool_t)0)
; } } 
if(BgL_test1276z00_606)
{ /* Gdb/ginvoke.scm 158 */
BgL_test1275z00_605 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 159 */
 bool_t BgL_test1278z00_617;
{ /* Gdb/ginvoke.scm 159 */
 long BgL_l1z00_258;
BgL_l1z00_258 = 
STRING_LENGTH(BgL_echoz00_103); 
if(
(BgL_l1z00_258==
STRING_LENGTH(BgL_cmdz00_8)))
{ /* Gdb/ginvoke.scm 159 */
 int BgL_arg1339z00_261;
{ /* Gdb/ginvoke.scm 159 */
 char * BgL_auxz00_624; char * BgL_tmpz00_622;
BgL_auxz00_624 = 
BSTRING_TO_STRING(BgL_cmdz00_8); 
BgL_tmpz00_622 = 
BSTRING_TO_STRING(BgL_echoz00_103); 
BgL_arg1339z00_261 = 
memcmp(BgL_tmpz00_622, BgL_auxz00_624, BgL_l1z00_258); } 
BgL_test1278z00_617 = 
(
(long)(BgL_arg1339z00_261)==0L); }  else 
{ /* Gdb/ginvoke.scm 159 */
BgL_test1278z00_617 = ((bool_t)0)
; } } 
if(BgL_test1278z00_617)
{ /* Gdb/ginvoke.scm 159 */
BgL_test1275z00_605 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 160 */
 bool_t BgL_test1281z00_629;
{ /* Gdb/ginvoke.scm 160 */
 obj_t BgL_arg1141z00_119;
BgL_arg1141z00_119 = 
string_for_read(BgL_cmdz00_8); 
{ /* Gdb/ginvoke.scm 160 */
 long BgL_l1z00_270;
BgL_l1z00_270 = 
STRING_LENGTH(BgL_echoz00_103); 
if(
(BgL_l1z00_270==
STRING_LENGTH(BgL_arg1141z00_119)))
{ /* Gdb/ginvoke.scm 160 */
 int BgL_arg1339z00_273;
{ /* Gdb/ginvoke.scm 160 */
 char * BgL_auxz00_637; char * BgL_tmpz00_635;
BgL_auxz00_637 = 
BSTRING_TO_STRING(BgL_arg1141z00_119); 
BgL_tmpz00_635 = 
BSTRING_TO_STRING(BgL_echoz00_103); 
BgL_arg1339z00_273 = 
memcmp(BgL_tmpz00_635, BgL_auxz00_637, BgL_l1z00_270); } 
BgL_test1281z00_629 = 
(
(long)(BgL_arg1339z00_273)==0L); }  else 
{ /* Gdb/ginvoke.scm 160 */
BgL_test1281z00_629 = ((bool_t)0)
; } } } 
if(BgL_test1281z00_629)
{ /* Gdb/ginvoke.scm 160 */
BgL_test1275z00_605 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 160 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1203z00zzgdb_invokez00, BgL_cmdz00_8))
{ /* Gdb/ginvoke.scm 119 */
BgL_test1275z00_605 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 119 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1207z00zzgdb_invokez00, BgL_cmdz00_8))
{ /* Gdb/ginvoke.scm 120 */
BgL_test1275z00_605 = ((bool_t)0)
; }  else 
{ /* Gdb/ginvoke.scm 120 */
BgL_test1275z00_605 = ((bool_t)1)
; } } } } } } 
if(BgL_test1275z00_605)
{ /* Gdb/ginvoke.scm 162 */
 obj_t BgL_list1132z00_110;
{ /* Gdb/ginvoke.scm 162 */
 obj_t BgL_arg1133z00_111;
{ /* Gdb/ginvoke.scm 162 */
 obj_t BgL_arg1136z00_112;
{ /* Gdb/ginvoke.scm 162 */
 obj_t BgL_arg1137z00_113;
{ /* Gdb/ginvoke.scm 162 */
 obj_t BgL_arg1138z00_114;
{ /* Gdb/ginvoke.scm 162 */
 obj_t BgL_arg1140z00_115;
BgL_arg1140z00_115 = 
MAKE_YOUNG_PAIR(BGl_string1208z00zzgdb_invokez00, BNIL); 
BgL_arg1138z00_114 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_8, BgL_arg1140z00_115); } 
BgL_arg1137z00_113 = 
MAKE_YOUNG_PAIR(BGl_string1209z00zzgdb_invokez00, BgL_arg1138z00_114); } 
BgL_arg1136z00_112 = 
MAKE_YOUNG_PAIR(BgL_echoz00_103, BgL_arg1137z00_113); } 
BgL_arg1133z00_111 = 
MAKE_YOUNG_PAIR(BGl_string1210z00zzgdb_invokez00, BgL_arg1136z00_112); } 
BgL_list1132z00_110 = 
MAKE_YOUNG_PAIR(BGl_string1211z00zzgdb_invokez00, BgL_arg1133z00_111); } 
BGl_warningz00zz__errorz00(BgL_list1132z00_110); }  else 
{ /* Gdb/ginvoke.scm 158 */BFALSE; } } } 
{ /* Gdb/ginvoke.scm 166 */
 obj_t BgL_resz00_120;
BgL_resz00_120 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_L_ENTRY(BgL_filterz00_9))(BgL_filterz00_9, BgL_poutz00_101); 
BGl_za2gdbzd2callzd2armedza2z00zzgdb_invokez00 = BFALSE; 
{ 
 obj_t BgL_l1053z00_292;
BgL_l1053z00_292 = BGl_za2gdbzd2callzd2hookza2z00zzengine_paramz00; 
BgL_zc3z04anonymousza31142ze3z87_291:
if(
PAIRP(BgL_l1053z00_292))
{ /* Gdb/ginvoke.scm 169 */
{ /* Gdb/ginvoke.scm 169 */
 obj_t BgL_hz00_297;
BgL_hz00_297 = 
CAR(BgL_l1053z00_292); 
BGL_PROCEDURE_CALL0(BgL_hz00_297); } 
{ 
 obj_t BgL_l1053z00_663;
BgL_l1053z00_663 = 
CDR(BgL_l1053z00_292); 
BgL_l1053z00_292 = BgL_l1053z00_663; 
goto BgL_zc3z04anonymousza31142ze3z87_291;} }  else 
{ /* Gdb/ginvoke.scm 169 */((bool_t)1); } } 
return BgL_resz00_120;} } } } } } } } } 

}



/* gdb-call->string */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(obj_t BgL_argsz00_10)
{
{ /* Gdb/ginvoke.scm 179 */
BGl_gdbzd2annotatezd2userzd2resetzd2registersz12z12zzgdb_annotatez00(); 
{ /* Gdb/ginvoke.scm 183 */
 obj_t BgL_cmdz00_131;
{ 

if(
NULLP(BgL_argsz00_10))
{ /* Gdb/ginvoke.scm 183 */
BgL_cmdz00_131 = 
BGl_errorz00zz__errorz00(BGl_string1213z00zzgdb_invokez00, BGl_string1214z00zzgdb_invokez00, BgL_argsz00_10); }  else 
{ /* Gdb/ginvoke.scm 183 */
if(
PAIRP(BgL_argsz00_10))
{ /* Gdb/ginvoke.scm 183 */
if(
NULLP(
CDR(
((obj_t)BgL_argsz00_10))))
{ /* Gdb/ginvoke.scm 183 */
BgL_cmdz00_131 = 
CAR(
((obj_t)BgL_argsz00_10)); }  else 
{ /* Gdb/ginvoke.scm 183 */
BgL_tagzd2103zd2_142:
{ /* Gdb/ginvoke.scm 191 */
 obj_t BgL_g1049z00_150;
BgL_g1049z00_150 = 
bgl_reverse(BgL_argsz00_10); 
{ 
 obj_t BgL_cmdz00_314; obj_t BgL_resz00_315;
BgL_cmdz00_314 = BgL_g1049z00_150; 
BgL_resz00_315 = BGl_string1195z00zzgdb_invokez00; 
BgL_loopz00_313:
if(
NULLP(BgL_cmdz00_314))
{ /* Gdb/ginvoke.scm 193 */
BgL_cmdz00_131 = BgL_resz00_315; }  else 
{ /* Gdb/ginvoke.scm 195 */
 obj_t BgL_arg1160z00_321; obj_t BgL_arg1162z00_322;
BgL_arg1160z00_321 = 
CDR(
((obj_t)BgL_cmdz00_314)); 
{ /* Gdb/ginvoke.scm 196 */
 obj_t BgL_arg1163z00_323;
BgL_arg1163z00_323 = 
CAR(
((obj_t)BgL_cmdz00_314)); 
BgL_arg1162z00_322 = 
string_append_3(BgL_arg1163z00_323, BGl_string1212z00zzgdb_invokez00, BgL_resz00_315); } 
{ 
 obj_t BgL_resz00_686; obj_t BgL_cmdz00_685;
BgL_cmdz00_685 = BgL_arg1160z00_321; 
BgL_resz00_686 = BgL_arg1162z00_322; 
BgL_resz00_315 = BgL_resz00_686; 
BgL_cmdz00_314 = BgL_cmdz00_685; 
goto BgL_loopz00_313;} } } } } }  else 
{ /* Gdb/ginvoke.scm 183 */
goto BgL_tagzd2103zd2_142;} } } 
{ /* Gdb/ginvoke.scm 198 */
 obj_t BgL_resz00_132;
BgL_resz00_132 = 
BGl_gdbzd2callzd2zzgdb_invokez00(BgL_cmdz00_131, BGl_proc1215z00zzgdb_invokez00); 
if(
CBOOL(
BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00()))
{ /* Gdb/ginvoke.scm 199 */
BGl_consolezd2errorzd2zztools_ioz00(
BGl_gdbzd2readzd2errorz00zzgdb_readz00()); }  else 
{ /* Gdb/ginvoke.scm 199 */BFALSE; } 
return BgL_resz00_132;} } } 

}



/* &gdb-call->string */
obj_t BGl_z62gdbzd2callzd2ze3stringz81zzgdb_invokez00(obj_t BgL_envz00_388, obj_t BgL_argsz00_389)
{
{ /* Gdb/ginvoke.scm 179 */
return 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_argsz00_389);} 

}



/* &<@anonymous:1149> */
obj_t BGl_z62zc3z04anonymousza31149ze3ze5zzgdb_invokez00(obj_t BgL_envz00_390, obj_t BgL_pinz00_391)
{
{ /* Gdb/ginvoke.scm 198 */
return 
BGl_flushzd2untilzd2promptz00zzgdb_invokez00(BgL_pinz00_391, ((bool_t)1));} 

}



/* gdb-server->string */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(obj_t BgL_argsz00_11)
{
{ /* Gdb/ginvoke.scm 210 */
{ /* Gdb/ginvoke.scm 212 */
 obj_t BgL_argsz00_160;
BgL_argsz00_160 = 
MAKE_YOUNG_PAIR(BGl_string1216z00zzgdb_invokez00, BgL_argsz00_11); 
{ /* Gdb/ginvoke.scm 212 */
 obj_t BgL_cmdz00_161;
{ /* Gdb/ginvoke.scm 213 */
 obj_t BgL_g1050z00_172;
BgL_g1050z00_172 = 
bgl_reverse(BgL_argsz00_160); 
{ 
 obj_t BgL_cmdz00_341; obj_t BgL_resz00_342;
BgL_cmdz00_341 = BgL_g1050z00_172; 
BgL_resz00_342 = BGl_string1195z00zzgdb_invokez00; 
BgL_loopz00_340:
if(
NULLP(BgL_cmdz00_341))
{ /* Gdb/ginvoke.scm 215 */
BgL_cmdz00_161 = BgL_resz00_342; }  else 
{ /* Gdb/ginvoke.scm 217 */
 obj_t BgL_arg1175z00_348; obj_t BgL_arg1176z00_349;
BgL_arg1175z00_348 = 
CDR(
((obj_t)BgL_cmdz00_341)); 
{ /* Gdb/ginvoke.scm 218 */
 obj_t BgL_arg1180z00_350;
BgL_arg1180z00_350 = 
CAR(
((obj_t)BgL_cmdz00_341)); 
BgL_arg1176z00_349 = 
string_append_3(BgL_arg1180z00_350, BGl_string1212z00zzgdb_invokez00, BgL_resz00_342); } 
{ 
 obj_t BgL_resz00_705; obj_t BgL_cmdz00_704;
BgL_cmdz00_704 = BgL_arg1175z00_348; 
BgL_resz00_705 = BgL_arg1176z00_349; 
BgL_resz00_342 = BgL_resz00_705; 
BgL_cmdz00_341 = BgL_cmdz00_704; 
goto BgL_loopz00_340;} } } } 
{ /* Gdb/ginvoke.scm 213 */

{ /* Gdb/ginvoke.scm 220 */
 obj_t BgL_resz00_162;
{ /* Gdb/ginvoke.scm 223 */
 obj_t BgL_zc3z04anonymousza31167ze3z87_393;
BgL_zc3z04anonymousza31167ze3z87_393 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31167ze3ze5zzgdb_invokez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31167ze3z87_393, 
(int)(0L), BgL_cmdz00_161); 
BgL_resz00_162 = 
BGl_gdbzd2annotatezd2registerszd2protectzd2zzgdb_annotatez00(BgL_zc3z04anonymousza31167ze3z87_393); } 
if(
CBOOL(
BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00()))
{ /* Gdb/ginvoke.scm 224 */
BGl_consolezd2errorzd2zztools_ioz00(
BGl_gdbzd2readzd2errorz00zzgdb_readz00()); }  else 
{ /* Gdb/ginvoke.scm 224 */BFALSE; } 
return BgL_resz00_162;} } } } } 

}



/* &gdb-server->string */
obj_t BGl_z62gdbzd2serverzd2ze3stringz81zzgdb_invokez00(obj_t BgL_envz00_394, obj_t BgL_argsz00_395)
{
{ /* Gdb/ginvoke.scm 210 */
return 
BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(BgL_argsz00_395);} 

}



/* &<@anonymous:1167> */
obj_t BGl_z62zc3z04anonymousza31167ze3ze5zzgdb_invokez00(obj_t BgL_envz00_396)
{
{ /* Gdb/ginvoke.scm 221 */
{ /* Gdb/ginvoke.scm 223 */
 obj_t BgL_cmdz00_397;
BgL_cmdz00_397 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_396, 
(int)(0L))); 
return 
BGl_gdbzd2callzd2zzgdb_invokez00(BgL_cmdz00_397, BGl_proc1217z00zzgdb_invokez00);} } 

}



/* &<@anonymous:1169> */
obj_t BGl_z62zc3z04anonymousza31169ze3ze5zzgdb_invokez00(obj_t BgL_envz00_398, obj_t BgL_pinz00_399)
{
{ /* Gdb/ginvoke.scm 222 */
return 
BGl_flushzd2untilzd2promptz00zzgdb_invokez00(BgL_pinz00_399, ((bool_t)0));} 

}



/* gdb-noerror-call->string */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2noerrorzd2callzd2ze3stringz31zzgdb_invokez00(obj_t BgL_argsz00_12)
{
{ /* Gdb/ginvoke.scm 235 */
{ /* Gdb/ginvoke.scm 237 */
 obj_t BgL_argsz00_182;
BgL_argsz00_182 = 
MAKE_YOUNG_PAIR(BGl_string1216z00zzgdb_invokez00, BgL_argsz00_12); 
{ /* Gdb/ginvoke.scm 237 */
 obj_t BgL_cmdz00_183;
{ /* Gdb/ginvoke.scm 238 */
 obj_t BgL_g1051z00_193;
BgL_g1051z00_193 = 
bgl_reverse(BgL_argsz00_182); 
{ 
 obj_t BgL_cmdz00_368; obj_t BgL_resz00_369;
BgL_cmdz00_368 = BgL_g1051z00_193; 
BgL_resz00_369 = BGl_string1195z00zzgdb_invokez00; 
BgL_loopz00_367:
if(
NULLP(BgL_cmdz00_368))
{ /* Gdb/ginvoke.scm 240 */
BgL_cmdz00_183 = BgL_resz00_369; }  else 
{ /* Gdb/ginvoke.scm 242 */
 obj_t BgL_arg1189z00_375; obj_t BgL_arg1190z00_376;
BgL_arg1189z00_375 = 
CDR(
((obj_t)BgL_cmdz00_368)); 
{ /* Gdb/ginvoke.scm 243 */
 obj_t BgL_arg1191z00_377;
BgL_arg1191z00_377 = 
CAR(
((obj_t)BgL_cmdz00_368)); 
BgL_arg1190z00_376 = 
string_append_3(BgL_arg1191z00_377, BGl_string1212z00zzgdb_invokez00, BgL_resz00_369); } 
{ 
 obj_t BgL_resz00_733; obj_t BgL_cmdz00_732;
BgL_cmdz00_732 = BgL_arg1189z00_375; 
BgL_resz00_733 = BgL_arg1190z00_376; 
BgL_resz00_369 = BgL_resz00_733; 
BgL_cmdz00_368 = BgL_cmdz00_732; 
goto BgL_loopz00_367;} } } } 
{ /* Gdb/ginvoke.scm 238 */

{ /* Gdb/ginvoke.scm 245 */
 obj_t BgL_resz00_184;
{ /* Gdb/ginvoke.scm 248 */
 obj_t BgL_zc3z04anonymousza31183ze3z87_401;
BgL_zc3z04anonymousza31183ze3z87_401 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31183ze3ze5zzgdb_invokez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_401, 
(int)(0L), BgL_cmdz00_183); 
BgL_resz00_184 = 
BGl_gdbzd2annotatezd2registerszd2protectzd2zzgdb_annotatez00(BgL_zc3z04anonymousza31183ze3z87_401); } 
if(
CBOOL(
BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00()))
{ /* Gdb/ginvoke.scm 249 */
BGl_gdbzd2readzd2errorz00zzgdb_readz00(); }  else 
{ /* Gdb/ginvoke.scm 249 */BFALSE; } 
return BgL_resz00_184;} } } } } 

}



/* &gdb-noerror-call->string */
obj_t BGl_z62gdbzd2noerrorzd2callzd2ze3stringz53zzgdb_invokez00(obj_t BgL_envz00_402, obj_t BgL_argsz00_403)
{
{ /* Gdb/ginvoke.scm 235 */
return 
BGl_gdbzd2noerrorzd2callzd2ze3stringz31zzgdb_invokez00(BgL_argsz00_403);} 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zzgdb_invokez00(obj_t BgL_envz00_404)
{
{ /* Gdb/ginvoke.scm 246 */
{ /* Gdb/ginvoke.scm 248 */
 obj_t BgL_cmdz00_405;
BgL_cmdz00_405 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_404, 
(int)(0L))); 
return 
BGl_gdbzd2callzd2zzgdb_invokez00(BgL_cmdz00_405, BGl_proc1218z00zzgdb_invokez00);} } 

}



/* &<@anonymous:1186> */
obj_t BGl_z62zc3z04anonymousza31186ze3ze5zzgdb_invokez00(obj_t BgL_envz00_406, obj_t BgL_pinz00_407)
{
{ /* Gdb/ginvoke.scm 247 */
return 
BGl_flushzd2untilzd2promptz00zzgdb_invokez00(BgL_pinz00_407, ((bool_t)1));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzgdb_invokez00(void)
{
{ /* Gdb/ginvoke.scm 14 */
BGl_modulezd2initializa7ationz75zzgdb_procz00(252722494L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zzgdb_annotatez00(191796826L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zzgdb_readz00(354619701L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(222649143L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zztools_toolsz00(85148931L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(467242068L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(203313037L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
BGl_modulezd2initializa7ationz75zzengine_replz00(38245929L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00)); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(249086913L, 
BSTRING_TO_STRING(BGl_string1219z00zzgdb_invokez00));} 

}

#ifdef __cplusplus
}
#endif
